<?php

add_action( 'admin_init', 'theme_options_init' );
add_action( 'admin_menu', 'theme_options_add_page' );

/**
 * オプション初期値
 * @var array 
 */
global $dp_default_options;
$dp_default_options = array(
	'pickedcolor1' => '222439',
	'pickedcolor2' => '063261',
	'logotop' => 0,
	'logoleft' => 0,
	'mobile_logo' => false,
	'content_font_size' => '14',
	'show_info_date' => 1,
	'show_date' => 1,
	'show_category' => 1,
	'show_tag' => 1,
	'show_comment' => 1,
	'show_author' => 1,
	'show_trackback' => 1,
	'show_related_post' => 1,
	'show_next_post' => 1,
	'show_thumbnail' => 1,

	'use_ogp' => 0,
	'fb_admin_id' => '',
	'ogp_image' => '',
	'use_twitter_card' => 0,
	'twitter_account_name' => '',

	'favicon' => false,
	'use_emoji' => 1,
	'use_load_icon' => '',
	'load_time' => '3',

	'css_code' => '',
	'twitter_url' => '',
	'facebook_url' => '',
	'insta_url' => '',
	'pinterest_url' => '',
	'flickr_url' => '',
	'tumblr_url' => '',
	'show_rss' => 1,
	'footer_address' => '',
	'footer_logo' => false,

	'show_sns_top' => 1,
	'show_sns_btm' => 1,
	'sns_type_top' => 'type1',
	'sns_type_btm' => 'type1',
	'show_twitter_top' => 1,
	'show_fblike_top' => 1,
	'show_fbshare_top' => 1,
	'show_google_top' => 1,
	'show_hatena_top' => 1,
	'show_pocket_top' => 1,
	'show_feedly_top' => 1,
	'show_rss_top' => 1,
	'show_pinterest_top' => 1,
	'show_twitter_btm' => 1,
	'show_fblike_btm' => 1,
	'show_fbshare_btm' => 1,
	'show_google_btm' => 1,
	'show_hatena_btm' => 1,
	'show_pocket_btm' => 1,
	'show_feedly_btm' => 1,
	'show_rss_btm' => 1,
	'show_pinterest_btm' => 1,
	'twitter_info' => '',

	'show_index_slider' => 0,
	'slider_image1' => false,
	'slider_image2' => false,
	'slider_image3' => false,
	'slider_url1' => '',
	'slider_url2' => '',
	'slider_url3' => '',
	'slider_mobile_image1' => false,
	'slider_mobile_image2' => false,
	'slider_mobile_image3' => false,

	'show_index_content1' => 0,
	'index_content1_main_headline' => '',
	'index_content1_main_desc' => '',
	'index_content1_headline1' => '',
	'index_content1_headline2' => '',
	'index_content1_headline3' => '',
	'index_content1_desc1' => '',
	'index_content1_desc2' => '',
	'index_content1_desc3' => '',
	'index_content1_url1' => '',
	'index_content1_url2' => '',
	'index_content1_url3' => '',
	'index_content1_image1' => false,
	'index_content1_image2' => false,
	'index_content1_image3' => false,
	'index_content1_icon1' => 'type1',
	'index_content1_icon2' => 'type2',
	'index_content1_icon3' => 'type3',
	'index_content1_color1' => '282C45',
	'index_content1_color2' => '003C7A',
	'index_content1_color3' => '1C68B4',
	'index_content1_type' => 'type1',

	'show_index_staff' => 0,
	'index_staff_headline' => '',
	'index_staff_num' => 5,
	'show_index_staff_btn' => 0,
	'index_staff_btn' => __('Staff List', 'tcd-w'),

	'show_index_news_content' => 0,
	'index_news_image' => false,
	'index_news_image_mobile' => false,
	'index_news_headline' => 'INFORMATION',
	'index_news_num' => 6,
	'index_news_button' => __('News archive', 'tcd-w'),
	'show_index_news_button' => 0,

	'show_index_info' => 0,
	'index_info_headline' => '',
	'index_info_image1' => false,
	'index_info_image2' => false,
	'index_info_image3' => false,
	'index_info_image4' => false,
	'index_info_image5' => false,
	'index_info_desc' => '',
	'index_info_button1' => '',
	'index_info_button2' => '',
	'index_info_button_label1' => '',
	'index_info_button_label2' => '',
	'index_info_button_url1' => '',
	'index_info_button_url2' => '',
	'show_index_info_button1' => 0,
	'show_index_info_button2' => 0,
	'index_info_button_icon1' => 'type4',
	'index_info_button_icon2' => 'type5',

	'staff_archive_image' => false,
	'staff_archive_image_mobile' => false,
	'staff_archive_headline' => '',
	'staff_archive_desc' => '',
	'staff_single_headline' => __('All staff', 'tcd-w'),

	'blog_archive_image' => false,
	'blog_archive_image_mobile' => false,
	'blog_ad_image1' => false,
	'blog_ad_code1' => '',
	'blog_ad_url1' => '',
	'blog_ad_image2' => false,
	'blog_ad_code2' => '',
	'blog_ad_url2' => '',
	'blog_ad_image_mobile1' => false,
	'blog_ad_code_mobile1' => '',
	'blog_ad_url_mobile1' => '',
	'blog_ad_image_mobile2' => false,
	'blog_ad_code_mobile2' => '',
	'blog_ad_url_mobile2' => '',

	'news_archive_image' => false,
	'news_archive_image_mobile' => false,

	'show_header_tel' => 0,
	'header_tel_label' => __('Contact us', 'tcd-w'),
	'header_tel' => '06-0000-0000',
	'show_header_contact_button' => 0,
	'header_contact_label' => __('Mail form', 'tcd-w'),
	'header_contact_url' => '',
	'header_contact_button_color' => '282C45',
	'header_fix' => 'type1',

	'myapikey' => '',

	'mobile_footer_type' => 'type1',

	// フッターの固定メニュー
	'footer_bar_display' => 'type3',
	'footer_bar_tp' => 0.8,
	'footer_bar_bg' => 'FFFFFF',
	'footer_bar_border' => 'DDDDDD',
	'footer_bar_color' => '000000',
	'footer_bar_btns' => array(
		array(
			'type' => 'type1',
			'label' => '',
			'url' => '',
			'number' => '',
			'target' => 0,
			'icon' => 'file-text'
		)
	)

);

/**
 * Design Plusのオプションを返す
 * @global array $dp_default_options
 * @return array 
 */
function get_desing_plus_option(){
	global $dp_default_options;
	return shortcode_atts($dp_default_options, get_option('dp_options', array()));
}


// 登録
function theme_options_init(){
 register_setting( 'design_plus_options', 'dp_options', 'theme_options_validate' );
}


// ロード
function theme_options_add_page() {
 add_theme_page( __( 'Theme Options', 'tcd-w' ), __( 'TCD Theme Options', 'tcd-w' ), 'edit_theme_options', 'theme_options', 'theme_options_do_page' );
}


// トップページのスタッフの数
global $index_staff_num_options;
$index_staff_num_options = array(
 '5' => array('value' => '5','label' => '5'),
 '6' => array('value' => '6','label' => '6'),
 '7' => array('value' => '7','label' => '7'),
 '8' => array('value' => '8','label' => '8'),
 '9' => array('value' => '9','label' => '9'),
 '10' => array('value' => '10','label' => '10'),
 '15' => array('value' => '15','label' => '15'),
 '20' => array('value' => '20','label' => '20'),
 '30' => array('value' => '30','label' => '30'),
 '-1' => array('value' => '-1','label' => __( 'All staff', 'tcd-w' ))
);


// トップページのお知らせの数
global $index_news_num_options;
$index_news_num_options = array(
 '1' => array('value' => '1','label' => '1'),
 '2' => array('value' => '2','label' => '2'),
 '3' => array('value' => '3','label' => '3'),
 '4' => array('value' => '4','label' => '4'),
 '5' => array('value' => '5','label' => '5'),
 '6' => array('value' => '6','label' => '6'),
 '7' => array('value' => '7','label' => '7'),
 '8' => array('value' => '8','label' => '8'),
 '9' => array('value' => '9','label' => '9'),
 '10' => array('value' => '10','label' => '10'),
);


// トップページのボックス1のアイコン
global $index_content1_icon1_options;
$index_content1_icon1_options = array(
 'type1' => array('value' => 'type1','label' => __( 'Temple', 'tcd-w' )),
 'type2' => array('value' => 'type2','label' => __( 'Pen', 'tcd-w' )),
 'type3' => array('value' => 'type3','label' => __( 'People', 'tcd-w' )),
 'type4' => array('value' => 'type4','label' => __( 'Building', 'tcd-w' )),
 'type5' => array('value' => 'type5','label' => __( 'Man', 'tcd-w' ))
);


// トップページのボックス2のアイコン
global $index_content1_icon2_options;
$index_content1_icon2_options = array(
 'type1' => array('value' => 'type1','label' => __( 'Temple', 'tcd-w' )),
 'type2' => array('value' => 'type2','label' => __( 'Pen', 'tcd-w' )),
 'type3' => array('value' => 'type3','label' => __( 'People', 'tcd-w' )),
 'type4' => array('value' => 'type4','label' => __( 'Building', 'tcd-w' )),
 'type5' => array('value' => 'type5','label' => __( 'Man', 'tcd-w' ))
);


// トップページのボックス3のアイコン
global $index_content1_icon3_options;
$index_content1_icon3_options = array(
 'type1' => array('value' => 'type1','label' => __( 'Temple', 'tcd-w' )),
 'type2' => array('value' => 'type2','label' => __( 'Pen', 'tcd-w' )),
 'type3' => array('value' => 'type3','label' => __( 'People', 'tcd-w' )),
 'type4' => array('value' => 'type4','label' => __( 'Building', 'tcd-w' )),
 'type5' => array('value' => 'type5','label' => __( 'Man', 'tcd-w' ))
);


// トップページのボックスの設定
global $index_content1_type_options;
$index_content1_type_options = array(
 'type1' => array('value' => 'type1','label' => __( 'Show icon and image', 'tcd-w' )),
 'type2' => array('value' => 'type2','label' => __( 'Show only icon', 'tcd-w' )),
 'type3' => array('value' => 'type3','label' => __( 'Show only image', 'tcd-w' )),
);

// トップページのボタン1のアイコン
global $index_info_button_icon1_options;
$index_info_button_icon1_options = array(
 'type1' => array('value' => 'type1','label' => __( 'Temple', 'tcd-w' )),
 'type2' => array('value' => 'type2','label' => __( 'Pen', 'tcd-w' )),
 'type3' => array('value' => 'type3','label' => __( 'People', 'tcd-w' )),
 'type4' => array('value' => 'type4','label' => __( 'Building', 'tcd-w' )),
 'type5' => array('value' => 'type5','label' => __( 'Man', 'tcd-w' ))
);


// トップページのボタン2のアイコン
global $index_info_button_icon2_options;
$index_info_button_icon2_options = array(
 'type1' => array('value' => 'type1','label' => __( 'Temple', 'tcd-w' )),
 'type2' => array('value' => 'type2','label' => __( 'Pen', 'tcd-w' )),
 'type3' => array('value' => 'type3','label' => __( 'People', 'tcd-w' )),
 'type4' => array('value' => 'type4','label' => __( 'Building', 'tcd-w' )),
 'type5' => array('value' => 'type5','label' => __( 'Man', 'tcd-w' ))
);


// ヘッダーの固定設定
global $header_fix_options;
$header_fix_options = array(
 'type1' => array('value' => 'type1','label' => __( 'Normal header', 'tcd-w' )),
 'type2' => array('value' => 'type2','label' => __( 'Fix at top after page scroll', 'tcd-w' )),
);


// ロード画面の設定
global $load_time_options;
$load_time_options = array(
	'3' => array( 
		'value' => '3000',
		'label' => __( '3 second', 'tcd-w' )
	),
 	'4' => array( 
		'value' => '4000',
		'label' => __( '4 second', 'tcd-w' )
	),
 	'5' => array( 
		'value' => '5000',
		'label' => __( '5 second', 'tcd-w' )
	),
 	'6' => array( 
		'value' => '6000',
		'label' => __( '6 second', 'tcd-w' )
	),
 	'7' => array( 
		'value' => '7000',
		'label' => __( '7 second', 'tcd-w' )
	),
 	'8' => array( 
		'value' => '8000',
		'label' => __( '8 second', 'tcd-w' )
	),
 	'9' => array( 
		'value' => '9000',
		'label' => __( '9 second', 'tcd-w' )
	),
 	'10' => array( 
		'value' => '10000',
		'label' => __( '10 second', 'tcd-w' )
	)
);


/**
 * ソーシャルボタンの設定
 * @var array 
 */
global $sns_type_top_options;// 記事上ボタンタイプ
$sns_type_top_options = array(
'type1' => array( 'value' => 'type1', 'label' => __( 'style1', 'tcd-w' )),
'type2' => array( 'value' => 'type2', 'label' => __( 'style2', 'tcd-w' )),
'type3' => array( 'value' => 'type3', 'label' => __( 'style3', 'tcd-w' )),
'type4' => array( 'value' => 'type4', 'label' => __( 'style4', 'tcd-w' )),
'type5' => array( 'value' => 'type5', 'label' => __( 'style5', 'tcd-w' ))
);

global $sns_type_btm_options;// 記事下ボタンタイプ
$sns_type_btm_options = array(
'type1' => array( 'value' => 'type1', 'label' => __( 'style1', 'tcd-w' )),
'type2' => array( 'value' => 'type2', 'label' => __( 'style2', 'tcd-w' )),
'type3' => array( 'value' => 'type3', 'label' => __( 'style3', 'tcd-w' )),
'type4' => array( 'value' => 'type4', 'label' => __( 'style4', 'tcd-w' )),
'type5' => array( 'value' => 'type5', 'label' => __( 'style5', 'tcd-w' ))
);


global $mobile_footer_type_options;// mobile footer type
$mobile_footer_type_options = array(
'type1' => array( 'value' => 'type1', 'label' => __( 'LAW Original style', 'tcd-w' )),
'type2' => array( 'value' => 'type2', 'label' => __( 'TCD Style', 'tcd-w' )),
);

// フッターの固定メニュー 表示タイプ
global $footer_bar_display_options;
$footer_bar_display_options = array(
 'type1' => array('value' => 'type1', 'label' => __( 'Fade In', 'tcd-w' )),
 'type2' => array('value' => 'type2', 'label' => __( 'Slide In', 'tcd-w' )),
 'type3' => array('value' => 'type3', 'label' => __( 'Hide', 'tcd-w' ))
);


// フッターの固定メニュー ボタンのタイプ
global $footer_bar_button_options;
$footer_bar_button_options = array(
  'type1' => array('value' => 'type1', 'label' => __( 'Default', 'tcd-w' )),
  'type2' => array('value' => 'type2', 'label' => __( 'Share', 'tcd-w' )),
  'type3' => array('value' => 'type3', 'label' => __( 'Telephone', 'tcd-w' ))
);


// フッターの固定メニューのアイコン
global $footer_bar_icon_options;
$footer_bar_icon_options = array(
  'file-text' => array('value' => 'file-text', 'label' => __( 'Document', 'tcd-w' )),
  'share-alt' => array('value' => 'share-alt', 'label' => __( 'Share', 'tcd-w' )),
  'phone' => array('value' => 'phone', 'label' => __( 'Telephone', 'tcd-w' )),
  'envelope' => array('value' => 'envelope', 'label' => __( 'Envelope', 'tcd-w' )),
  'tag' => array('value' => 'tag', 'label' => __( 'Tag', 'tcd-w' )),
  'pencil' => array('value' => 'pencil', 'label' => __( 'Pencil', 'tcd-w' ))
);




// テーマオプション画面の作成
function theme_options_do_page() {
 global $index_staff_num_options, $index_news_num_options, $index_content1_icon1_options, $index_content1_icon2_options, $index_content1_icon3_options, $index_info_button_icon1_options, $index_info_button_icon2_options, $index_content1_type_options, $header_fix_options, $dp_upload_error, $sns_type_top_options, $sns_type_btm_options,
        $mobile_footer_type_options, $footer_bar_display_options, $footer_bar_icon_options, $footer_bar_button_options, $load_time_options;
 $options = get_desing_plus_option(); 

 if ( ! isset( $_REQUEST['settings-updated'] ) )
  $_REQUEST['settings-updated'] = false;

?>

<div class="wrap">

 <?php screen_icon(); echo "<h2>" . __( 'TCD Theme Options', 'tcd-w' ) . "</h2>"; ?>

 <?php // 更新時のメッセージ
       if ( false !== $_REQUEST['settings-updated'] ) :
 ?>
 <div class="updated fade"><p><strong><?php _e('Updated', 'tcd-w');  ?></strong></p></div>
 <?php endif; ?>

 <?php /* ファイルアップロード時のメッセージ */ if(!empty($dp_upload_error['message'])): ?>
  <?php if($dp_upload_error['error']): ?>
   <div id="error" class="error"><p><?php echo $dp_upload_error['message']; ?></p></div>
  <?php else: ?>
   <div id="message" class="updated fade"><p><?php echo $dp_upload_error['message']; ?></p></div>
  <?php endif; ?>
 <?php endif; ?>
 
 <div id="my_theme_option" class="cf">

  <div id="my_theme_left">
   <ul id="theme_tab" class="cf">
    <li><a href="#tab-content1"><?php _e('Basic', 'tcd-w');  ?></a></li>
    <li><a href="#tab-content2"><?php _e('Logo', 'tcd-w');  ?></a></li>
    <li><a href="#tab-content3"><?php _e('Index Page', 'tcd-w');  ?></a></li>
    <li><a href="#tab-content4"><?php _e('Staff Page', 'tcd-w');  ?></a></li>
    <li><a href="#tab-content5"><?php _e('Blog Page', 'tcd-w');  ?></a></li>
    <li><a href="#tab-content6"><?php _e('News Page', 'tcd-w');  ?></a></li>
    <li><a href="#tab-content7"><?php _e('Header Setting', 'tcd-w');  ?></a></li>
    <li><a href="#tab-content8"><?php _e('Footer Setting', 'tcd-w');  ?></a></li>
   </ul>
  </div>

  <div id="my_theme_right">

  <form method="post" action="options.php" enctype="multipart/form-data">

  <?php settings_fields( 'design_plus_options' ); ?>

  <div id="tab-panel">

  <!-- #tab-content1 //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////  -->
  <div id="tab-content1">

   <?php // サイトカラー ?>
   <div id="color_pattern">
    <div class="theme_option_field cf">
     <h3 class="theme_option_headline"><?php _e('Color setting', 'tcd-w');  ?></h3>
     <h4 class="theme_option_headline2"><?php _e('Primary color setting', 'tcd-w');  ?></h4>
     <input type="text" id="color1" class="color" name="dp_options[pickedcolor1]" value="<?php esc_attr_e( $options['pickedcolor1'] ); ?>" />
     <input type="button" style="margin:2px 0 0 15px;" class="button-secondary" value="<?php _e('Default color', 'tcd-w');  ?>" onClick="document.getElementById('color1').color.fromString('222439')">
     <h4 class="theme_option_headline2"><?php _e('Secondary color setting', 'tcd-w');  ?></h4>
     <input type="text" id="color2" class="color" name="dp_options[pickedcolor2]" value="<?php esc_attr_e( $options['pickedcolor2'] ); ?>" />
     <input type="button" style="margin:2px 0 0 15px;" class="button-secondary" value="<?php _e('Default color', 'tcd-w');  ?>" onClick="document.getElementById('color2').color.fromString('063261')">
     <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
    </div>
   </div>

   <?php // フォントサイズ ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Font size', 'tcd-w');  ?></h3>
    <p><?php _e('Font size of single page and wp-page.', 'tcd-w');  ?></p>
    <input id="dp_options[content_font_size]" class="font_size hankaku" type="text" name="dp_options[content_font_size]" value="<?php esc_attr_e( $options['content_font_size'] ); ?>" /><span>px</span>
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

   <?php //favicon ?>

   <div class="theme_option_field cf">
   <h3 class="theme_option_headline"><?php _e('Favicon setup', 'tcd-w');  ?></h3>
    <p><?php _e('Setting for the favicon displayed at browser address bar or tab.', 'tcd-w'); ?></p>
    <div class="theme_option_input">
      <h4><?php _e('Favicon file', 'tcd-w');  ?><?php _e(' (Recommended size: width:16px, height:16px)', 'tcd-w'); ?></h4>
      <p><?php _e('You can use .ico, .png or .gif file, and we recommed you to use .ico file.', 'tcd-w'); ?></p>
      <div class="image_box cf">
       <div class="upload_banner_button_area">
        <div class="hide"><input type="text" size="36" name="dp_options[favicon]" value="<?php esc_attr_e( $options['favicon'] ); ?>" /></div>
        <input type="file" name="favicon_file" id="favicon_file" />
        <input type="submit" class="button-ml" value="<?php echo __('Save Image', 'tcd-w');  ?>" />
       </div>
       <?php if($options['favicon']) { ?>
        <div class="uploaded_banner_image">
         <img src="<?php esc_attr_e( $options['favicon'] ); ?>" alt="" title="" />
        </div>
        <?php if(dp_is_uploaded_img($options['favicon'])): ?>
        <div class="delete_uploaded_banner_image">
         <a href="<?php echo wp_nonce_url(admin_url('themes.php?page=theme_options'), 'dp_delete_favicon') ?>" class="button-ml" onclick="if(!confirm('<?php _e('Are you sure to delete this image?', 'tcd-w'); ?>')) return false;"><?php _e('Delete Image', 'tcd-w'); ?></a>
        </div>
       <?php endif; ?>
       <?php }; ?>
     </div>
     <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
    </div>
   </div>

   <?php // 投稿者名・タグ・コメント ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Display Setup', 'tcd-w');  ?></h3>
    <h4 class="theme_option_headline2"><?php _e('Display the date of news at single page and top page and archive page.', 'tcd-w');  ?></h4>
    <ul>
     <li><label><input id="dp_options[show_info_date]" name="dp_options[show_info_date]" type="checkbox" value="1" <?php checked( '1', $options['show_info_date'] ); ?> /> <?php _e('Display the date of news', 'tcd-w');  ?></label></li>
    </ul>
    <h4 class="theme_option_headline2"><?php _e('Post list of archive pages and post pages', 'tcd-w');  ?></h4>
    <ul>
     <li><label><input id="dp_options[show_date]" name="dp_options[show_date]" type="checkbox" value="1" <?php checked( '1', $options['show_date'] ); ?> /> <?php _e('Display date', 'tcd-w');  ?></label></li>
     <li><label><input id="dp_options[show_category]" name="dp_options[show_category]" type="checkbox" value="1" <?php checked( '1', $options['show_category'] ); ?> /> <?php _e('Display category', 'tcd-w');  ?></label></li>
     <li><label><input id="dp_options[show_tag]" name="dp_options[show_tag]" type="checkbox" value="1" <?php checked( '1', $options['show_tag'] ); ?> /> <?php _e('Display tags', 'tcd-w');  ?></label></li>
     <li><label><input id="dp_options[show_author]" name="dp_options[show_author]" type="checkbox" value="1" <?php checked( '1', $options['show_author'] ); ?> /> <?php _e('Display author', 'tcd-w');  ?></label></li>
     <li><label><input id="dp_options[show_comment]" name="dp_options[show_comment]" type="checkbox" value="1" <?php checked( '1', $options['show_comment'] ); ?> /> <?php _e('Display comment', 'tcd-w');  ?></label></li>
     <li><label><input id="dp_options[show_thumbnail]" name="dp_options[show_thumbnail]" type="checkbox" value="1" <?php checked( '1', $options['show_thumbnail'] ); ?> /> <?php _e('Display thumbnail at single post page', 'tcd-w');  ?></label></li>
     <li><label><input id="dp_options[show_trackback]" name="dp_options[show_trackback]" type="checkbox" value="1" <?php checked( '1', $options['show_trackback'] ); ?> /> <?php _e('Display trackbacks at single post page', 'tcd-w');  ?></label></li>
     <li><label><input id="dp_options[show_related_post]" name="dp_options[show_related_post]" type="checkbox" value="1" <?php checked( '1', $options['show_related_post'] ); ?> /> <?php _e('Display related post at single post page', 'tcd-w');  ?></label></li>
     <li><label><input id="dp_options[show_next_post]" name="dp_options[show_next_post]" type="checkbox" value="1" <?php checked( '1', $options['show_next_post'] ); ?> /> <?php _e('Display next previous post link at single post page', 'tcd-w');  ?></label></li>
    </ul>
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

   <?php // 絵文字の設定 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Emoji setup', 'tcd-w');  ?></h3>
    <p><?php _e('We recommend to checkoff this option if you dont use any Emoji in your post content.', 'tcd-w');  ?></p>
    <p><label><input id="dp_options[use_emoji]" name="dp_options[use_emoji]" type="checkbox" value="1" <?php checked( '1', $options['use_emoji'] ); ?> /> <?php _e('Use emoji', 'tcd-w');  ?></label></p>
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

<?php 
	// ロード画面の設定
?>
	<div class="theme_option_field cf">
		<h3 class="theme_option_headline"><?php _e( 'Loading screen setting', 'tcd-w' );  ?></h3>
		<p><label><input id="dp_options[use_load_icon]" name="dp_options[use_load_icon]" type="checkbox" value="1" <?php checked( '1', $options['use_load_icon'] ); ?>><?php _e( 'Use load icon.', 'tcd-w' );  ?></label></p>
		<p><?php _e( 'Please set the maximum display time of the loading screen.<br />Even if all the content is not loaded, loading screen will disappear automatically after a lapse of time you have set at follwing.', 'tcd-w' );  ?></p>
		<select name="dp_options[load_time]">
<?php
	foreach ( $load_time_options as $option ) :
    	$label = $option['label'];
?>
			<option style="padding-right: 10px;" value="<?php echo esc_attr( $option['value'] ); ?>" <?php selected( $option['value'], $options['load_time'] ); ?>><?php esc_html_e( $label, 'tcd-w' ); ?></option>
<?php
	endforeach;
?>
		</select>
		<input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>">
	</div>

   <?php // API Key ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('API Key', 'tcd-w');  ?></h3>
    <p><?php _e('Please input API Key if you use Google maps at a page.', 'tcd-w');  ?></p>
    <input id="dp_options[myapikey]" class="regular-text" type="text" name="dp_options[myapikey]" value="<?php esc_attr_e( $options['myapikey'] ); ?>" />
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

    <?php // Use OGP tag ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Facebook OGP setting', 'tcd-w');  ?></h3>
    <div class="theme_option_input">
     <p><label><input id="dp_options[use_ogp]" name="dp_options[use_ogp]" type="checkbox" value="1" <?php checked( '1', $options['use_ogp'] ); ?> /> <?php _e('Use OGP', 'tcd-w');  ?></label></p>
     <p><?php _e('Your fb:admins ID', 'tcd-w');  ?> <input id="dp_options[fb_admin_id]" class="regular-text" type="text" name="dp_options[fb_admin_id]" value="<?php esc_attr_e( $options['fb_admin_id'] ); ?>" /></p>
     <p><?php _e('<a href="http://design-plus1.com/tcd-w/2016/07/facebook-3.html" target="_blank">Information about Facebook OGP and fb:admins ID</a>', 'tcd-w'); ?></p>
    </div>
    <h4 class="theme_option_headline2"><?php _e( 'OGP image', 'tcd-w' ); ?></h4>
    <p><?php _e( 'This image is displayed for OGP if the page does not have a thumbnail.', 'tcd-w' ); ?></p>
    <p><?php _e( 'Recommend image size. Width:1200px, Height:630px', 'tcd-w' ); ?></p>
    <div class="image_box cf">
     <div class="cf cf_media_field hide-if-no-js">
      <input type="hidden" value="<?php echo esc_attr( $options['ogp_image'] ); ?>" id="ogp_image" name="dp_options[ogp_image]" class="cf_media_id">
      <div class="preview_field"><?php if ( $options['ogp_image'] ) { echo wp_get_attachment_image( $options['ogp_image'], 'medium'); } ?></div>
      <div class="button_area">
       <input type="button" value="<?php _e( 'Select Image', 'tcd-w' ); ?>" class="cfmf-select-img button">
       <input type="button" value="<?php _e( 'Remove Image', 'tcd-w' ); ?>" class="cfmf-delete-img button <?php if ( ! $options['ogp_image'] ) { echo 'hidden'; } ?>">
      </div>
     </div>
    </div>
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

   <?php // Use twitter card ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Twitter Cards setting', 'tcd-w');  ?></h3>
    <div class="theme_option_input">
     <p><label><input id="dp_options[use_twitter_card]" name="dp_options[use_twitter_card]" type="checkbox" value="1" <?php checked( '1', $options['use_twitter_card'] ); ?> /> <?php _e('Use Twitter Cards', 'tcd-w');  ?></label></p>
     <p><?php _e('Your Twitter account name (exclude @ mark)', 'tcd-w');  ?> <input id="dp_options[twitter_account_name]" class="regular-text" type="text" name="dp_options[twitter_account_name]" value="<?php esc_attr_e( $options['twitter_account_name'] ); ?>" /></p>
     <p><a href="http://design-plus1.com/tcd-w/2016/11/twitter-cards.html" target="_blank"><?php _e( 'Information about Twitter Cards.', 'tcd-w' ); ?></a></p>
    </div>
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

   <?php // NEWソーシャルボタン ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Social button Setup', 'tcd-w');  ?></h3>
    <div class="theme_option_input">
    <h4 class="theme_option_headline2"><?php _e('Set of articles top buttons', 'tcd-w');  ?></h4>

        <label><input id="dp_options[show_sns_top]" name="dp_options[show_sns_top]" type="checkbox" value="1" <?php checked( '1', $options['show_sns_top'] ); ?> /> <?php _e('Buttons to the article top', 'tcd-w');  ?></label>

    <h4 class="theme_option_headline2"><?php _e('Type of button on article top', 'tcd-w');  ?></h4>
    <fieldset class="cf">
    <ul class="cf">
    <?php
         if ( ! isset( $checked ) )
         $checked = '';
         foreach ( $sns_type_top_options as $option ) {
         $sns_type_top_setting = $options['sns_type_top'];
          if ( '' != $sns_type_top_setting ) {
           if ( $options['sns_type_top'] == $option['value'] ) {
            $checked = "checked=\"checked\"";
           } else {
            $checked = '';
           }
          }
    ?>
     <li>
      <label>
      <input type="radio" name="dp_options[sns_type_top]" value="<?php esc_attr_e( $option['value'] ); ?>" <?php echo $checked; ?> />
      <?php _e($option['label'], 'tcd-w'); ?>
      </label>
     </li>
    <?php
         }
    ?>
    </ul>
    </fieldset>
    <h4 class="theme_option_headline2"><?php _e('Select the social button to show on article top', 'tcd-w');  ?></h4>
      <ul>
        <li><label><input id="dp_options[show_twitter_top]" name="dp_options[show_twitter_top]" type="checkbox" value="1" <?php checked( '1', $options['show_twitter_top'] ); ?> /> <?php _e('Display twitter button', 'tcd-w');  ?></label></li>
        <li><label><input id="dp_options[show_fblike_top]" name="dp_options[show_fblike_top]" type="checkbox" value="1" <?php checked( '1', $options['show_fblike_top'] ); ?> /> <?php _e('Display facebook like button -Button type 5 (Default button) only', 'tcd-w');  ?></label></li>
        <li><label><input id="dp_options[show_fbshare_top]" name="dp_options[show_fbshare_top]" type="checkbox" value="1" <?php checked( '1', $options['show_fbshare_top'] ); ?> /> <?php _e('Display facebook share button', 'tcd-w');  ?></label></li>
        <li><label><input id="dp_options[show_google_top]" name="dp_options[show_google_top]" type="checkbox" value="1" <?php checked( '1', $options['show_google_top'] ); ?> /> <?php _e('Display google+ button', 'tcd-w');  ?></label></li>
        <li><label><input id="dp_options[show_hatena_top]" name="dp_options[show_hatena_top]" type="checkbox" value="1" <?php checked( '1', $options['show_hatena_top'] ); ?> /> <?php _e('Display hatena button', 'tcd-w');  ?></label></li>
        <li><label><input id="dp_options[show_pocket_top]" name="dp_options[show_pocket_top]" type="checkbox" value="1" <?php checked( '1', $options['show_pocket_top'] ); ?> /> <?php _e('Display pocket button', 'tcd-w');  ?></label></li>
        <li><label><input id="dp_options[show_feedly_top]" name="dp_options[show_feedly_top]" type="checkbox" value="1" <?php checked( '1', $options['show_feedly_top'] ); ?> /> <?php _e('Display feedly button', 'tcd-w');  ?></label></li>
        <li><label><input id="dp_options[show_rss_top]" name="dp_options[show_rss_top]" type="checkbox" value="1" <?php checked( '1', $options['show_rss_top'] ); ?> /> <?php _e('Display rss button', 'tcd-w');  ?></label></li>
        <li><label><input id="dp_options[show_pinterest_top]" name="dp_options[show_pinterest_top]" type="checkbox" value="1" <?php checked( '1', $options['show_pinterest_top'] ); ?> /> <?php _e('Display pinterest button', 'tcd-w');  ?></label></li>
      </ul>
     </li>
     </ul>

    <hr />

    <h4 class="theme_option_headline2"><?php _e('Set of articles bottom buttons', 'tcd-w');  ?></h4>
        <label><input id="dp_options[show_sns_btm]" name="dp_options[show_sns_btm]" type="checkbox" value="1" <?php checked( '1', $options['show_sns_btm'] ); ?> /> <?php _e('Buttons to the article bottom', 'tcd-w');  ?></label>
    <h4 class="theme_option_headline2"><?php _e('Type of button on article bottom', 'tcd-w');  ?></h4>
    <fieldset class="cf">
    <ul class="cf">
    <?php
         if ( ! isset( $checked ) )
         $checked = '';
         foreach ( $sns_type_btm_options as $option ) {
         $sns_type_btm_setting = $options['sns_type_btm'];
          if ( '' != $sns_type_btm_setting ) {
           if ( $options['sns_type_btm'] == $option['value'] ) {
            $checked = "checked=\"checked\"";
           } else {
            $checked = '';
           }
          }
    ?>
     <li>
      <label>
      <input type="radio" name="dp_options[sns_type_btm]" value="<?php esc_attr_e( $option['value'] ); ?>" <?php echo $checked; ?> />
      <?php _e($option['label'], 'tcd-w'); ?>
      </label>
     </li>
    <?php
         }
    ?>
    </ul>
    </fieldset>

    <h4 class="theme_option_headline2"><?php _e('Select the social button to show on article bottom', 'tcd-w');  ?></h4>
      <ul>
        <li><label><input id="dp_options[show_twitter_btm]" name="dp_options[show_twitter_btm]" type="checkbox" value="1" <?php checked( '1', $options['show_twitter_btm'] ); ?> /> <?php _e('Display twitter button', 'tcd-w');  ?></label></li>
        <li><label><input id="dp_options[show_fblike_btm]" name="dp_options[show_fblike_btm]" type="checkbox" value="1" <?php checked( '1', $options['show_fblike_btm'] ); ?> /> <?php _e('Display facebook like button-Button type 5 (Default button) only', 'tcd-w');  ?></label></li>
        <li><label><input id="dp_options[show_fbshare_btm]" name="dp_options[show_fbshare_btm]" type="checkbox" value="1" <?php checked( '1', $options['show_fbshare_btm'] ); ?> /> <?php _e('Display facebook share button', 'tcd-w');  ?></label></li>
        <li><label><input id="dp_options[show_google_btm]" name="dp_options[show_google_btm]" type="checkbox" value="1" <?php checked( '1', $options['show_google_btm'] ); ?> /> <?php _e('Display google+ button', 'tcd-w');  ?></label></li>
        <li><label><input id="dp_options[show_hatena_btm]" name="dp_options[show_hatena_btm]" type="checkbox" value="1" <?php checked( '1', $options['show_hatena_btm'] ); ?> /> <?php _e('Display hatena button', 'tcd-w');  ?></label></li>
        <li><label><input id="dp_options[show_pocket_btm]" name="dp_options[show_pocket_btm]" type="checkbox" value="1" <?php checked( '1', $options['show_pocket_btm'] ); ?> /> <?php _e('Display pocket button', 'tcd-w');  ?></label></li>
        <li><label><input id="dp_options[show_feedly_btm]" name="dp_options[show_feedly_btm]" type="checkbox" value="1" <?php checked( '1', $options['show_feedly_btm'] ); ?> /> <?php _e('Display feedly button', 'tcd-w');  ?></label></li>
        <li><label><input id="dp_options[show_rss_btm]" name="dp_options[show_rss_btm]" type="checkbox" value="1" <?php checked( '1', $options['show_rss_btm'] ); ?> /> <?php _e('Display rss button', 'tcd-w');  ?></label></li>
        <li><label><input id="dp_options[show_pinterest_btm]" name="dp_options[show_pinterest_btm]" type="checkbox" value="1" <?php checked( '1', $options['show_pinterest_btm'] ); ?> /> <?php _e('Display pinterest button', 'tcd-w');  ?></label></li>
      </ul>
     </li>
     </ul>
    <h4 class="theme_option_headline2"><?php _e('Setting for the twitter button', 'tcd-w');  ?></h4>
         <label style="margin-top:20px;"><?php _e('Set of twitter account. (ex.designplus)', 'tcd-w');  ?></label>
         <input style="display:block; margin:.6em 0 1em;" id="dp_options[twitter_info]" class="regular-text" type="text" name="dp_options[twitter_info]" value="<?php esc_attr_e( $options['twitter_info'] ); ?>" />

    </div>
   </div>


   <?php // ユーザーCSS用の自由記入欄 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Free input area for user definition CSS.', 'tcd-w');  ?></h3>
    <p><?php _e('Code example:<br /><strong>.example { font-size:12px; }</strong>', 'tcd-w');  ?></p>
    <textarea id="dp_options[css_code]" class="large-text" cols="50" rows="10" name="dp_options[css_code]"><?php echo esc_textarea( $options['css_code'] ); ?></textarea>
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

  </div><!-- END #tab-content1 -->




  <!-- #tab-content2 //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////  -->
  <div id="tab-content2">

   <?php // ステップ１ ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Step 1 : Upload image to use for logo.', 'tcd-w');  ?></h3>
    <p><?php _e('Upload image to use for logo from your computer.<br />You can resize your logo image in step 2.', 'tcd-w');  ?></p>
    <div class="button_area cf">
     <label for="dp_image"><?php _e('Select image to use for logo from your computer.', 'tcd-w');  ?></label>
     <input type="file" name="dp_image" id="dp_image" value="" />
     <input type="submit" class="button-ml" value="<?php _e('Upload', 'tcd-w');  ?>" />
    </div>
    <?php if(dp_logo_exists()): $info = dp_logo_info(); ?>
    <div class="uploaded_logo">
     <h4><?php _e('Uploaded image.', 'tcd-w');  ?></h4>
     <div class="uploaded_logo_image" id="original_logo_size">
      <?php dp_logo_img_tag(false, '', '', 9999); ?>
     </div>
     <p><?php printf(__('Original image size : width %1$dpx, height %2$dpx', 'tcd-w'), $info['width'], $info['height']); ?></p>
    </div>
    <?php else: ?>
    <div class="uploaded_logo">
     <h4><?php _e('The image has not been uploaded yet.<br />A normal text will be used for a site logo.', 'tcd-w');  ?></h4>
    </div>
    <?php endif; ?>
   </div>

   <?php // ステップ２ ?>
   <?php if(dp_logo_exists()): ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Step 2 : Resize uploaded image.', 'tcd-w');  ?></h3>
    <p><?php _e('You can resize uploaded image.', 'tcd-w');  ?></p>
    <div class="uploaded_logo">
     <h4><?php _e('Please drag the range to cut off.', 'tcd-w');  ?></h4>
     <div class="uploaded_logo_image">
      <?php dp_logo_resize_base(9999); ?>
     </div>
     <div class="resize_amount">
      <label><?php _e('Ratio', 'tcd-w');  ?>: <input type="text" name="dp_resize_ratio" id="dp_resize_ratio" value="100" />%</label>
      <label><?php _e('Width', 'tcd-w');  ?>: <input type="text" name="dp_resized_width" id="dp_resized_width" />px</label>
      <label><?php _e('Height', 'tcd-w');  ?>: <input type="text" name="dp_resized_height" id="dp_resized_height" />px</label>
     </div>
     <div id="resize_button_area">
      <input type="submit" class="button-primary" value="<?php _e('Resize', 'tcd-w'); ?>" />
     </div>
    </div>
    <?php if($info = dp_logo_info(true)): ?>
    <div class="uploaded_logo">
     <h4><?php printf(__('Resized image : width %1$dpx, height %2$dpx', 'tcd-w'), $info['width'], $info['height']); ?></h4>
     <div class="uploaded_logo_image">
      <?php dp_logo_img_tag(true, '', '', 9999); ?>
     </div>
    </div>
    <?php endif; ?>
   </div>
   <?php endif; ?>

   <?php // ステップ３ ?>
   <?php if(dp_logo_exists()): ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Step 3 : Adjust position of logo.', 'tcd-w');  ?></h3>
    <p><?php _e('Drag the logo image and adjust the position.', 'tcd-w');  ?></p>
    <div id="tcd-w-logo-adjuster" class="ratio-<?php echo '760-760'; ?>">
     <?php if(dp_logo_resize_tag(760, 760, $options['logotop'], $options['logoleft'])): ?>
     <?php else: ?>
     <span><?php _e('Logo size is too big. Please resize your logo image.', 'tcd-w');  ?></span>
     <?php endif; ?>
    </div>
    <div class="hide">
     <label><?php _e('Top', 'tcd-w');  ?>: <input type="text" name="dp_options[logotop]" id="dp-options-logotop" value="<?php esc_attr_e( $options['logotop'] ); ?>" />px </label>
     <label><?php _e('Left', 'tcd-w');  ?>: <input type="text" name="dp_options[logoleft]" id="dp-options-logoleft" value="<?php esc_attr_e( $options['logoleft'] ); ?>" />px </label>
     <input type="button" class="button" id="dp-adjust-realvalue" value="adjust" />
    </div>
    <p><input type="submit" class="button-ml" value="<?php _e('Save the position', 'tcd-w');  ?>" /></p>
   </div>
   <?php endif; ?>

   <?php // 画像の削除 ?>
   <?php if(dp_logo_exists()): ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Delete logo image.', 'tcd-w');  ?></h3>
    <p><?php _e('If you delete the logo image, normal text will be used for a site logo.', 'tcd-w');  ?></p>
    <p><a class="button-ml" href="<?php echo wp_nonce_url(admin_url('themes.php?page=theme_options'), 'dp_delete_image_'.  get_current_user_id()); ?>" onclick="if(!confirm('<?php _e('Are you sure to delete logo image?', 'tcd-w'); ?>')) return false;"><?php _e('Delete Image', 'tcd-w');  ?></a></p>
   </div>
   <?php endif; ?>

   <?php // スマホ専用のロゴ(header) ----------------------------------------------------- ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Header logo for mobile device', 'tcd-w');  ?></h3>
    <p><?php _e('This logo image will be displayed at mobile device.<br />Recommend image size. Width:Free, Height:20px.', 'tcd-w');  ?></p>
    <div class="image_box cf">
     <div class="cf cf_media_field hide-if-no-js mobile_logo">
      <input type="hidden" value="<?php echo esc_attr( $options['mobile_logo'] ); ?>" id="mobile_logo" name="dp_options[mobile_logo]" class="cf_media_id">
      <div class="preview_field"><?php if($options['mobile_logo']){ echo wp_get_attachment_image($options['mobile_logo'], 'medium'); }; ?></div>
      <div class="buttton_area">
       <input type="button" value="<?php _e('Select Image', 'tcd-w'); ?>" class="cfmf-select-img button">
       <input type="button" value="<?php _e('Remove Image', 'tcd-w'); ?>" class="cfmf-delete-img button <?php if(!$options['mobile_logo']){ echo 'hidden'; }; ?>">
      </div>
     </div>
    </div>
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

  </div><!-- END #tab-content2 -->




  <!-- #tab-content3 トップページ　//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////  -->
  <div id="tab-content3">

  <?php // スライダー -------------------------------------------------------------------------------------------- ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Header slider setting', 'tcd-w');  ?></h3>
    <p><?php _e('You can register 3 images.', 'tcd-w');  ?></p>
    <p><label><input id="dp_options[show_index_slider]" name="dp_options[show_index_slider]" type="checkbox" value="1" <?php checked( '1', $options['show_index_slider'] ); ?> /> <?php _e('Display slider at top page', 'tcd-w');  ?></label></p>
    <?php for($i = 1; $i <= 3; $i++): ?>
    <div class="sub_box cf"> 
     <h3 class="theme_option_subbox_headline"><?php printf(__('Slider%s setting', 'tcd-w'),$i);  ?></h3>
     <div class="sub_box_content">
      <h4 class="theme_option_headline2"><?php _e('Slider image', 'tcd-w');  ?></h4>
      <p><?php _e('Recommend image size. Width:1450px, Height:400px', 'tcd-w');  ?></p>
      <div class="image_box cf">
       <div class="cf cf_media_field hide-if-no-js slider_image<?php echo $i; ?>">
        <input type="hidden" value="<?php echo esc_attr( $options['slider_image'.$i] ); ?>" id="slider_image<?php echo $i; ?>" name="dp_options[slider_image<?php echo $i; ?>]" class="cf_media_id">
        <div class="preview_field"><?php if($options['slider_image'.$i]){ echo wp_get_attachment_image($options['slider_image'.$i], 'medium'); }; ?></div>
        <div class="buttton_area">
         <input type="button" value="<?php _e('Select Image', 'tcd-w'); ?>" class="cfmf-select-img button">
         <input type="button" value="<?php _e('Remove Image', 'tcd-w'); ?>" class="cfmf-delete-img button <?php if(!$options['slider_image'.$i]){ echo 'hidden'; }; ?>">
        </div>
       </div>
      </div>
      <h4 class="theme_option_headline2"><?php _e('Link URL', 'tcd-w');  ?></h4>
      <p><?php _e('Leave this field blank if you don\'t want to use link at image.', 'tcd-w');  ?></p>
      <input id="dp_options[slider_url<?php echo $i; ?>]" class="regular-text" type="text" name="dp_options[slider_url<?php echo $i; ?>]" value="<?php esc_attr_e( $options['slider_url'.$i] ); ?>" />
      <h4 class="theme_option_headline2"><?php _e('Slider image for mobile device', 'tcd-w');  ?></h4>
      <p><?php _e('Recommend image size. Width:800px, Height:Free size', 'tcd-w');  ?><br /><?php _e('If this image is not registered, images that were previously registered will be displayed.', 'tcd-w');  ?></p>
      <div class="image_box cf">
       <div class="cf cf_media_field hide-if-no-js slider_mobile_image<?php echo $i; ?>">
        <input type="hidden" value="<?php echo esc_attr( $options['slider_mobile_image'.$i] ); ?>" id="slider_mobile_image<?php echo $i; ?>" name="dp_options[slider_mobile_image<?php echo $i; ?>]" class="cf_media_id">
        <div class="preview_field"><?php if($options['slider_mobile_image'.$i]){ echo wp_get_attachment_image($options['slider_mobile_image'.$i], 'medium'); }; ?></div>
        <div class="buttton_area">
         <input type="button" value="<?php _e('Select Image', 'tcd-w'); ?>" class="cfmf-select-img button">
         <input type="button" value="<?php _e('Remove Image', 'tcd-w'); ?>" class="cfmf-delete-img button <?php if(!$options['slider_mobile_image'.$i]){ echo 'hidden'; }; ?>">
        </div>
       </div>
      </div>
      <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
     </div><!-- END .sub_box_content -->
    </div><!-- END .sub_box -->
    <?php endfor; ?>
   </div>

   <?php // スライダーの下に表示するコンテンツ ----------------------------------------------------- ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Content under header slider', 'tcd-w');  ?></h3>
    <p><label><input id="dp_options[show_index_content1]" name="dp_options[show_index_content1]" type="checkbox" value="1" <?php checked( '1', $options['show_index_content1'] ); ?> /> <?php _e('Display this content at top page', 'tcd-w');  ?></label></p>
    <h4 class="theme_option_headline2"><?php _e('Icon and image type', 'tcd-w');  ?></h4>
    <fieldset class="cf select_type2" style="margin-bottom:20px;">
     <?php
          if ( ! isset( $checked ) )
          $checked = '';
          foreach ( $index_content1_type_options as $option ) {
          $index_content1_type_setting = $options['index_content1_type'];
            if ( '' != $index_content1_type_setting ) {
              if ( $options['index_content1_type'] == $option['value'] ) {
                $checked = "checked=\"checked\"";
              } else {
                $checked = '';
              }
           }
     ?>
     <label class="description">
      <input type="radio" name="dp_options[index_content1_type]" value="<?php esc_attr_e( $option['value'] ); ?>" <?php echo $checked; ?> />
      <?php echo $option['label']; ?>
     </label>
     <?php } ?>
    </fieldset>
    <?php for($i = 1; $i <= 3; $i++): ?>
    <div class="sub_box cf">
     <h3 class="theme_option_subbox_headline"><?php printf(__('Box%s setting', 'tcd-w'),$i);  ?></h3>
     <div class="sub_box_content">
      <h4 class="theme_option_headline2"><?php _e('Color setting', 'tcd-w');  ?></h4>
      <?php
           if($i == 2) {
             $default_color = '003C7A';
           } elseif($i == 3) {
             $default_color = '063261';
           } else {
             $default_color = '282C45';
           };
      ?>
      <input type="text" id="index_content1_color<?php echo $i; ?>" class="color" name="dp_options[index_content1_color<?php echo $i; ?>]" value="<?php esc_attr_e( $options['index_content1_color'.$i] ); ?>" />
      <input type="button" style="margin:2px 0 0 15px;" class="button-secondary" value="<?php _e('Default color', 'tcd-w');  ?>" onClick="document.getElementById('index_content1_color<?php echo $i; ?>').color.fromString('<?php echo $default_color; ?>')">
      <h4 class="theme_option_headline2"><?php _e('Headline', 'tcd-w');  ?></h4>
      <input id="dp_options[index_content1_headline<?php echo $i; ?>]" class="regular-text" type="text" name="dp_options[index_content1_headline<?php echo $i; ?>]" value="<?php esc_attr_e( $options['index_content1_headline'.$i] ); ?>" />
      <h4 class="theme_option_headline2"><?php _e('Icon', 'tcd-w');  ?></h4>
      <select name="dp_options[index_content1_icon<?php echo $i; ?>]">
       <?php
            if($i == 2) {
              $index_content1_icon_options = $index_content1_icon2_options;
            } elseif($i == 3) {
              $index_content1_icon_options = $index_content1_icon3_options;
            } else {
              $index_content1_icon_options = $index_content1_icon1_options;
            };
            foreach ( $index_content1_icon_options as $option ) :
            $label = $option['label'];
            $selected = '';
            if ( $options['index_content1_icon'.$i] == $option['value']) {
              $selected = 'selected="selected"';
            } else {
              $selected = '';
            }
            echo '<option style="padding-right: 10px;" value="' . esc_attr( $option['value'] ) . '" ' . $selected . '>' . $label . '</option>' ."\n";
            endforeach;
       ?>
      </select>
      <h4 class="theme_option_headline2"><?php _e('Description', 'tcd-w');  ?></h4>
      <textarea id="dp_options[index_content1_desc<?php echo $i; ?>]" class="large-text" cols="50" rows="4" name="dp_options[index_content1_desc<?php echo $i; ?>]"><?php echo esc_textarea( $options['index_content1_desc'.$i] ); ?></textarea>
      <h4 class="theme_option_headline2"><?php _e('Image', 'tcd-w');  ?></h4>
      <p><?php _e('Recommend image size. Width:380px, Height:110px', 'tcd-w');  ?></p>
      <div class="image_box cf">
       <div class="cf cf_media_field hide-if-no-js index_content1_image<?php echo $i; ?>">
        <input type="hidden" value="<?php echo esc_attr( $options['index_content1_image'.$i] ); ?>" id="index_content1_image<?php echo $i; ?>" name="dp_options[index_content1_image<?php echo $i; ?>]" class="cf_media_id">
        <div class="preview_field"><?php if($options['index_content1_image'.$i]){ echo wp_get_attachment_image($options['index_content1_image'.$i], 'medium'); }; ?></div>
        <div class="buttton_area">
         <input type="button" value="<?php _e('Select Image', 'tcd-w'); ?>" class="cfmf-select-img button">
         <input type="button" value="<?php _e('Remove Image', 'tcd-w'); ?>" class="cfmf-delete-img button <?php if(!$options['index_content1_image'.$i]){ echo 'hidden'; }; ?>">
        </div>
       </div>
      </div>
      <h4 class="theme_option_headline2"><?php _e('Link URL', 'tcd-w');  ?></h4>
      <input id="dp_options[index_content1_url<?php echo $i; ?>]" class="regular-text" type="text" name="dp_options[index_content1_url<?php echo $i; ?>]" value="<?php esc_attr_e( $options['index_content1_url'.$i] ); ?>" />
      <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
     </div><!-- END .sub_box_content -->
    </div><!-- END .sub_box -->
    <?php endfor; ?>
    <h4 class="theme_option_headline2"><?php _e('Catchphrase', 'tcd-w');  ?></h4>
    <textarea id="dp_options[index_content1_main_headline]" class="large-text" cols="50" rows="3" name="dp_options[index_content1_main_headline]"><?php echo esc_textarea( $options['index_content1_main_headline'] ); ?></textarea>
    <h4 class="theme_option_headline2"><?php _e('Description', 'tcd-w');  ?></h4>
    <textarea id="dp_options[index_content1_main_desc]" class="large-text" cols="50" rows="10" name="dp_options[index_content1_main_desc]"><?php echo esc_textarea( $options['index_content1_main_desc'] ); ?></textarea>
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

   <?php // お知らせとブログ記事一覧 ----------------------------------------------------- ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('News content', 'tcd-w');  ?></h3>
    <p><label><input id="dp_options[show_index_news_content]" name="dp_options[show_index_news_content]" type="checkbox" value="1" <?php checked( '1', $options['show_index_news_content'] ); ?> /> <?php _e('Display this content at top page', 'tcd-w');  ?></label></p>
    <h4 class="theme_option_headline2"><?php _e('Image', 'tcd-w');  ?></h4>
    <p><?php _e('Recommend image size. Width:1450px, Height:400px', 'tcd-w');  ?></p>
    <div class="image_box cf">
     <div class="cf cf_media_field hide-if-no-js index_news_image">
      <input type="hidden" value="<?php echo esc_attr( $options['index_news_image'] ); ?>" id="index_news_image" name="dp_options[index_news_image]" class="cf_media_id">
      <div class="preview_field"><?php if($options['index_news_image']){ echo wp_get_attachment_image($options['index_news_image'], 'medium'); }; ?></div>
      <div class="buttton_area">
       <input type="button" value="<?php _e('Select Image', 'tcd-w'); ?>" class="cfmf-select-img button">
       <input type="button" value="<?php _e('Remove Image', 'tcd-w'); ?>" class="cfmf-delete-img button <?php if(!$options['index_news_image']){ echo 'hidden'; }; ?>">
      </div>
     </div>
    </div>
    <h4 class="theme_option_headline2"><?php _e('Image for mobile device', 'tcd-w');  ?></h4>
    <p><?php _e('Recommend image size. Width:800px, Height:Free size', 'tcd-w');  ?></p>
    <div class="image_box cf">
     <div class="cf cf_media_field hide-if-no-js index_news_image_mobile">
      <input type="hidden" value="<?php echo esc_attr( $options['index_news_image_mobile'] ); ?>" id="index_news_image_mobile" name="dp_options[index_news_image_mobile]" class="cf_media_id">
      <div class="preview_field"><?php if($options['index_news_image_mobile']){ echo wp_get_attachment_image($options['index_news_image_mobile'], 'medium'); }; ?></div>
      <div class="buttton_area">
       <input type="button" value="<?php _e('Select Image', 'tcd-w'); ?>" class="cfmf-select-img button">
       <input type="button" value="<?php _e('Remove Image', 'tcd-w'); ?>" class="cfmf-delete-img button <?php if(!$options['index_news_image_mobile']){ echo 'hidden'; }; ?>">
      </div>
     </div>
    </div>
    <h4 class="theme_option_headline2"><?php _e('Headline of News list', 'tcd-w');  ?></h4>
    <input id="dp_options[index_news_headline]" class="regular-text" type="text" name="dp_options[index_news_headline]" value="<?php esc_attr_e( $options['index_news_headline'] ); ?>" />
    <h4 class="theme_option_headline2"><?php _e('Number of post to show at News list', 'tcd-w');  ?></h4>
    <select name="dp_options[index_news_num]">
     <?php
          foreach ( $index_news_num_options as $option ) :
          $label = $option['label'];
          $selected = '';
          if ( $options['index_news_num'] == $option['value']) {
            $selected = 'selected="selected"';
          } else {
            $selected = '';
          }
          echo '<option style="padding-right: 10px;" value="' . esc_attr( $option['value'] ) . '" ' . $selected . '>' . $label . '</option>' ."\n";
          endforeach;
     ?>
    </select>
    <h4 class="theme_option_headline2"><?php _e('Button for news archive page', 'tcd-w');  ?></h4>
    <p><label><input id="dp_options[show_index_news_button]" name="dp_options[show_index_news_button]" type="checkbox" value="1" <?php checked( '1', $options['show_index_news_button'] ); ?> /> <?php _e('Display button for news archive page', 'tcd-w');  ?></label></p>
    <h5 class="theme_option_headline3"><?php _e('Label for this button', 'tcd-w');  ?></h5>
    <input id="dp_options[index_news_button]" class="regular-text" type="text" name="dp_options[index_news_button]" value="<?php esc_attr_e( $options['index_news_button'] ); ?>" />
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

   <?php // スタッフ一覧コンテンツ ----------------------------------------------------- ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Staff content', 'tcd-w');  ?></h3>
    <p><label><input id="dp_options[show_index_staff]" name="dp_options[show_index_staff]" type="checkbox" value="1" <?php checked( '1', $options['show_index_staff'] ); ?> /> <?php _e('Display this content at top page', 'tcd-w');  ?></label></p>
    <h4 class="theme_option_headline2"><?php _e('Headline', 'tcd-w');  ?></h4>
    <input id="dp_options[index_staff_headline]" class="regular-text" type="text" name="dp_options[index_staff_headline]" value="<?php esc_attr_e( $options['index_staff_headline'] ); ?>" />
    <h4 class="theme_option_headline2"><?php _e('Number of staff to show on staff list', 'tcd-w');  ?></h4>
    <select name="dp_options[index_staff_num]">
     <?php
          foreach ( $index_staff_num_options as $option ) :
          $label = $option['label'];
          $selected = '';
          if ( $options['index_staff_num'] == $option['value']) {
            $selected = 'selected="selected"';
          } else {
            $selected = '';
          }
          echo '<option style="padding-right: 10px;" value="' . esc_attr( $option['value'] ) . '" ' . $selected . '>' . $label . '</option>' ."\n";
          endforeach;
     ?>
    </select>
    <h4 class="theme_option_headline2"><?php _e('Button for staff archive page', 'tcd-w');  ?></h4>
    <p><label><input id="dp_options[show_index_staff_btn]" name="dp_options[show_index_staff_btn]" type="checkbox" value="1" <?php checked( '1', $options['show_index_staff_btn'] ); ?> /> <?php _e('Display button for staff archive page', 'tcd-w');  ?></label></p>
    <h5 class="theme_option_headline3"><?php _e('Label for this button', 'tcd-w');  ?></h5>
    <input id="dp_options[index_staff_btn]" class="regular-text" type="text" name="dp_options[index_staff_btn]" value="<?php esc_attr_e( $options['index_staff_btn'] ); ?>" />
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

   <?php // スタッフ一覧の下に表示するコンテンツ ----------------------------------------------------- ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Content under staff list', 'tcd-w');  ?></h3>
    <p><label><input id="dp_options[show_index_info]" name="dp_options[show_index_info]" type="checkbox" value="1" <?php checked( '1', $options['show_index_info'] ); ?> /> <?php _e('Display this content at top page', 'tcd-w');  ?></label></p>
    <h4 class="theme_option_headline2"><?php _e('Headline', 'tcd-w');  ?></h4>
    <input id="dp_options[index_info_headline]" class="regular-text" type="text" name="dp_options[index_info_headline]" value="<?php esc_attr_e( $options['index_info_headline'] ); ?>" />
    <?php for($i = 1; $i <= 5; $i++): ?>
    <h4 class="theme_option_headline2"><?php _e('Image', 'tcd-w');  ?><?php echo $i; ?></h4>
    <p><?php _e('Recommend image size. Width:290px, Height:260px', 'tcd-w');  ?></p>
    <div class="image_box cf">
     <div class="cf cf_media_field hide-if-no-js index_info_image<?php echo $i; ?>">
      <input type="hidden" value="<?php echo esc_attr( $options['index_info_image'.$i] ); ?>" id="index_info_image<?php echo $i; ?>" name="dp_options[index_info_image<?php echo $i; ?>]" class="cf_media_id">
      <div class="preview_field"><?php if($options['index_info_image'.$i]){ echo wp_get_attachment_image($options['index_info_image'.$i], 'medium'); }; ?></div>
      <div class="buttton_area">
       <input type="button" value="<?php _e('Select Image', 'tcd-w'); ?>" class="cfmf-select-img button">
       <input type="button" value="<?php _e('Remove Image', 'tcd-w'); ?>" class="cfmf-delete-img button <?php if(!$options['index_info_image'.$i]){ echo 'hidden'; }; ?>">
      </div>
     </div>
    </div>
    <?php endfor; ?>
    <h4 class="theme_option_headline2"><?php _e('Description', 'tcd-w');  ?></h4>
    <textarea id="dp_options[index_info_desc]" class="large-text" cols="50" rows="10" name="dp_options[index_info_desc]"><?php echo esc_textarea( $options['index_info_desc'] ); ?></textarea>
    <?php for($i = 1; $i <= 2; $i++): ?>
    <h4 class="theme_option_headline2"><?php printf(__('Button%s setting', 'tcd-w'),$i);  ?></h4>
    <p><label><input id="dp_options[show_index_info_button<?php echo $i; ?>]" name="dp_options[show_index_info_button<?php echo $i; ?>]" type="checkbox" value="1" <?php checked( '1', $options['show_index_info_button'.$i] ); ?> /> <?php _e('Display this button', 'tcd-w');  ?></label></p>
    <h5 class="theme_option_headline3"><?php _e('Label for this button', 'tcd-w');  ?></h5>
    <input style="margin-bottom:15px;" id="dp_options[index_info_button_label<?php echo $i; ?>]" class="regular-text" type="text" name="dp_options[index_info_button_label<?php echo $i; ?>]" value="<?php esc_attr_e( $options['index_info_button_label'.$i] ); ?>" />
    <h5 class="theme_option_headline3"><?php _e('Link URL', 'tcd-w');  ?></h5>
    <input style="margin-bottom:15px;" id="dp_options[index_info_button_url<?php echo $i; ?>]" class="regular-text" type="text" name="dp_options[index_info_button_url<?php echo $i; ?>]" value="<?php esc_attr_e( $options['index_info_button_url'.$i] ); ?>" />
    <h5 class="theme_option_headline3"><?php _e('Icon', 'tcd-w');  ?></h5>
    <select name="dp_options[index_info_button_icon<?php echo $i; ?>]">
     <?php
          if($i == 2) {
            $index_info_button_icon_options = $index_info_button_icon2_options;
          } else {
            $index_info_button_icon_options = $index_info_button_icon1_options;
          };
          foreach ( $index_info_button_icon_options as $option ) :
          $label = $option['label'];
          $selected = '';
          if ( $options['index_info_button_icon'.$i] == $option['value']) {
            $selected = 'selected="selected"';
          } else {
            $selected = '';
          }
          echo '<option style="padding-right: 10px;" value="' . esc_attr( $option['value'] ) . '" ' . $selected . '>' . $label . '</option>' ."\n";
          endforeach;
     ?>
    </select>
    <?php endfor; ?>
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

  </div><!-- END #tab-content3 -->




  <!-- #tab-content4 //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////  -->
  <div id="tab-content4">

  <?php // スタッフアーカイブページ用の画像 -------------------------------------------------------------------------------------------- ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Image for Staff archive page', 'tcd-w');  ?></h3>
    <p><?php _e('Recommend image size. Width:1450px, Height:400px', 'tcd-w');  ?></p>
    <div class="image_box cf">
     <div class="cf cf_media_field hide-if-no-js staff_archive_image">
      <input type="hidden" value="<?php echo esc_attr( $options['staff_archive_image'] ); ?>" id="staff_archive_image" name="dp_options[staff_archive_image]" class="cf_media_id">
      <div class="preview_field"><?php if($options['staff_archive_image']){ echo wp_get_attachment_image($options['staff_archive_image'], 'medium'); }; ?></div>
      <div class="buttton_area">
       <input type="button" value="<?php _e('Select Image', 'tcd-w'); ?>" class="cfmf-select-img button">
       <input type="button" value="<?php _e('Remove Image', 'tcd-w'); ?>" class="cfmf-delete-img button <?php if(!$options['staff_archive_image']){ echo 'hidden'; }; ?>">
      </div>
     </div>
    </div>
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

  <?php // スタッフカイブページ用の画像（モバイル用） -------------------------------------------------------------------------------------------- ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Image for Staff archive page (for mobile device)', 'tcd-w');  ?></h3>
    <p><?php _e('Recommend image size. Width:800px, Height:Free size', 'tcd-w');  ?><br /><?php _e('If this image is not registered, images that were previously registered will be displayed.', 'tcd-w');  ?></p>
    <div class="image_box cf">
     <div class="cf cf_media_field hide-if-no-js staff_archive_image_mobile">
      <input type="hidden" value="<?php echo esc_attr( $options['staff_archive_image_mobile'] ); ?>" id="staff_archive_image_mobile" name="dp_options[staff_archive_image_mobile]" class="cf_media_id">
      <div class="preview_field"><?php if($options['staff_archive_image_mobile']){ echo wp_get_attachment_image($options['staff_archive_image_mobile'], 'medium'); }; ?></div>
      <div class="buttton_area">
       <input type="button" value="<?php _e('Select Image', 'tcd-w'); ?>" class="cfmf-select-img button">
       <input type="button" value="<?php _e('Remove Image', 'tcd-w'); ?>" class="cfmf-delete-img button <?php if(!$options['staff_archive_image_mobile']){ echo 'hidden'; }; ?>">
      </div>
     </div>
    </div>
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

   <?php // アーカイブページのキャッチフレーズ ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Headline for Staff archive page', 'tcd-w');  ?></h3>
    <input style="margin-bottom:15px;" id="dp_options[staff_archive_headline]" class="regular-text" type="text" name="dp_options[staff_archive_headline]" value="<?php esc_attr_e( $options['staff_archive_headline'] ); ?>" />
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

   <?php // アーカイブページの説明文 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Description for Staff archive page', 'tcd-w');  ?></h3>
    <textarea id="dp_options[staff_archive_desc]" class="large-text" cols="50" rows="10" name="dp_options[staff_archive_desc]"><?php echo esc_textarea( $options['staff_archive_desc'] ); ?></textarea>
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

   <?php // 詳細ページのキャッチフレーズ ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Headline for Staff single page', 'tcd-w');  ?></h3>
    <input style="margin-bottom:15px;" id="dp_options[staff_single_headline]" class="regular-text" type="text" name="dp_options[staff_single_headline]" value="<?php esc_attr_e( $options['staff_single_headline'] ); ?>" />
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

  </div><!-- END #tab-content4 -->




  <!-- #tab-content5 //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////  -->
  <div id="tab-content5">

  <?php // ブログページ用の画像 -------------------------------------------------------------------------------------------- ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Image for Blog page', 'tcd-w');  ?></h3>
    <p><?php _e('Recommend image size. Width:1160px, Height:300px', 'tcd-w');  ?></p>
    <div class="image_box cf">
     <div class="cf cf_media_field hide-if-no-js blog_archive_image">
      <input type="hidden" value="<?php echo esc_attr( $options['blog_archive_image'] ); ?>" id="blog_archive_image" name="dp_options[blog_archive_image]" class="cf_media_id">
      <div class="preview_field"><?php if($options['blog_archive_image']){ echo wp_get_attachment_image($options['blog_archive_image'], 'medium'); }; ?></div>
      <div class="buttton_area">
       <input type="button" value="<?php _e('Select Image', 'tcd-w'); ?>" class="cfmf-select-img button">
       <input type="button" value="<?php _e('Remove Image', 'tcd-w'); ?>" class="cfmf-delete-img button <?php if(!$options['blog_archive_image']){ echo 'hidden'; }; ?>">
      </div>
     </div>
    </div>
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

  <?php // ブログページ用の画像（モバイル用） -------------------------------------------------------------------------------------------- ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Image for Blog page (for mobile)', 'tcd-w');  ?></h3>
    <p><?php _e('Recommend image size. Width:800px, Height:Free size', 'tcd-w');  ?><br /><?php _e('If this image is not registered, images that were previously registered will be displayed.', 'tcd-w');  ?></p>
    <div class="image_box cf">
     <div class="cf cf_media_field hide-if-no-js blog_archive_image_mobile">
      <input type="hidden" value="<?php echo esc_attr( $options['blog_archive_image_mobile'] ); ?>" id="blog_archive_image_mobile" name="dp_options[blog_archive_image_mobile]" class="cf_media_id">
      <div class="preview_field"><?php if($options['blog_archive_image_mobile']){ echo wp_get_attachment_image($options['blog_archive_image_mobile'], 'medium'); }; ?></div>
      <div class="buttton_area">
       <input type="button" value="<?php _e('Select Image', 'tcd-w'); ?>" class="cfmf-select-img button">
       <input type="button" value="<?php _e('Remove Image', 'tcd-w'); ?>" class="cfmf-delete-img button <?php if(!$options['blog_archive_image_mobile']){ echo 'hidden'; }; ?>">
      </div>
     </div>
    </div>
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

  <?php // ブログ記事ページの広告用の画像 -------------------------------------------------------------------------------------------- ?>
   <?php for($i = 1; $i <= 2; $i++): ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Adsense for Blog post page', 'tcd-w');  ?><?php echo $i; ?></h3>
    <p><?php _e('This Adsense will be displayed after post contents.', 'tcd-w');  ?></p>
    <div class="theme_option_content">
     <h4 class="theme_option_headline2"><?php _e('Banner code', 'tcd-w');  ?></h4>
     <p><?php _e('If you are using google adsense, enter all code below.', 'tcd-w');  ?></p>
     <textarea id="dp_options[blog_ad_code<?php echo $i; ?>]" class="large-text" cols="50" rows="10" name="dp_options[blog_ad_code<?php echo $i; ?>]"><?php echo esc_textarea( $options['blog_ad_code'.$i] ); ?></textarea>
    </div>
    <p><?php _e('If you are not using google adsense, you can register your banner image and affiliate code individually.', 'tcd-w');  ?></p>
    <div class="theme_option_content">
     <h4 class="theme_option_headline2"><?php _e('Register banner image.', 'tcd-w'); ?></h4>
     <p><?php _e('Recommend image size. Width:300px, Height:Free size', 'tcd-w');  ?></p>
     <div class="image_box cf">
      <div class="cf cf_media_field hide-if-no-js blog_ad_image<?php echo $i; ?>">
       <input type="hidden" value="<?php echo esc_attr( $options['blog_ad_image'.$i] ); ?>" id="blog_ad_image<?php echo $i; ?>" name="dp_options[blog_ad_image<?php echo $i; ?>]" class="cf_media_id">
       <div class="preview_field"><?php if($options['blog_ad_image'.$i]){ echo wp_get_attachment_image($options['blog_ad_image'.$i], 'medium'); }; ?></div>
       <div class="buttton_area">
        <input type="button" value="<?php _e('Select Image', 'tcd-w'); ?>" class="cfmf-select-img button">
        <input type="button" value="<?php _e('Remove Image', 'tcd-w'); ?>" class="cfmf-delete-img button <?php if(!$options['blog_ad_image'.$i]){ echo 'hidden'; }; ?>">
       </div>
      </div>
     </div>
    </div>
    <div class="theme_option_content">
     <h4 class="theme_option_headline2"><?php _e('Register affiliate code', 'tcd-w');  ?></h4>
     <input id="dp_options[blog_ad_url<?php echo $i; ?>]" class="regular-text" type="text" name="dp_options[blog_ad_url<?php echo $i; ?>]" value="<?php esc_attr_e( $options['blog_ad_url'.$i] ); ?>" />
    </div>
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>
   <?php endfor; ?>

  <?php // ブログ記事ページの広告用の画像（スマホ用） -------------------------------------------------------------------------------------------- ?>
   <?php for($i = 1; $i <= 2; $i++): ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Mobile device size adsense for Blog post page', 'tcd-w');  ?><?php echo $i; ?></h3>
    <?php if($i == 1) { ?>
    <p><?php _e('This Adsense will be displayed before post contents.', 'tcd-w');  ?></p>
    <?php } else { ?>
    <p><?php _e('This Adsense will be displayed after post contents.', 'tcd-w');  ?></p>
    <?php }; ?>
    <div class="theme_option_content">
     <h4 class="theme_option_headline2"><?php _e('Banner code', 'tcd-w');  ?></h4>
     <p><?php _e('If you are using google adsense, enter all code below.', 'tcd-w');  ?></p>
     <textarea id="dp_options[blog_ad_code_mobile<?php echo $i; ?>]" class="large-text" cols="50" rows="10" name="dp_options[blog_ad_code_mobile<?php echo $i; ?>]"><?php echo esc_textarea( $options['blog_ad_code_mobile'.$i] ); ?></textarea>
    </div>
    <p><?php _e('If you are not using google adsense, you can register your banner image and affiliate code individually.', 'tcd-w');  ?></p>
    <div class="theme_option_content">
     <h4 class="theme_option_headline2"><?php _e('Register banner image.', 'tcd-w'); ?></h4>
     <div class="image_box cf">
      <div class="cf cf_media_field hide-if-no-js blog_ad_image_mobile<?php echo $i; ?>">
       <input type="hidden" value="<?php echo esc_attr( $options['blog_ad_image_mobile'.$i] ); ?>" id="blog_ad_image_mobile<?php echo $i; ?>" name="dp_options[blog_ad_image_mobile<?php echo $i; ?>]" class="cf_media_id">
       <div class="preview_field"><?php if($options['blog_ad_image_mobile'.$i]){ echo wp_get_attachment_image($options['blog_ad_image_mobile'.$i], 'medium'); }; ?></div>
       <div class="buttton_area">
        <input type="button" value="<?php _e('Select Image', 'tcd-w'); ?>" class="cfmf-select-img button">
        <input type="button" value="<?php _e('Remove Image', 'tcd-w'); ?>" class="cfmf-delete-img button <?php if(!$options['blog_ad_image_mobile'.$i]){ echo 'hidden'; }; ?>">
       </div>
      </div>
     </div>
    </div>
    <div class="theme_option_content">
     <h4 class="theme_option_headline2"><?php _e('Register affiliate code', 'tcd-w');  ?></h4>
     <input id="dp_options[blog_ad_url_mobile<?php echo $i; ?>]" class="regular-text" type="text" name="dp_options[blog_ad_url_mobile<?php echo $i; ?>]" value="<?php esc_attr_e( $options['blog_ad_url_mobile'.$i] ); ?>" />
    </div>
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>
   <?php endfor; ?>

  </div><!-- END #tab-content5 -->




  <!-- #tab-content6 //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////  -->
  <div id="tab-content6">

  <?php // お知らせページ用の画像 -------------------------------------------------------------------------------------------- ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Image for News page', 'tcd-w');  ?></h3>
    <p><?php _e('Recommend image size. Width:1450px, Height:400px', 'tcd-w');  ?></p>
    <div class="image_box cf">
     <div class="cf cf_media_field hide-if-no-js news_archive_image">
      <input type="hidden" value="<?php echo esc_attr( $options['news_archive_image'] ); ?>" id="news_archive_image" name="dp_options[news_archive_image]" class="cf_media_id">
      <div class="preview_field"><?php if($options['news_archive_image']){ echo wp_get_attachment_image($options['news_archive_image'], 'medium'); }; ?></div>
      <div class="buttton_area">
       <input type="button" value="<?php _e('Select Image', 'tcd-w'); ?>" class="cfmf-select-img button">
       <input type="button" value="<?php _e('Remove Image', 'tcd-w'); ?>" class="cfmf-delete-img button <?php if(!$options['news_archive_image']){ echo 'hidden'; }; ?>">
      </div>
     </div>
    </div>
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

  <?php // お知らせページ用の画像（モバイル用） -------------------------------------------------------------------------------------------- ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Image for News page (for mobile)', 'tcd-w');  ?></h3>
    <p><?php _e('Recommend image size. Width:800px, Height:Free size', 'tcd-w');  ?><br /><?php _e('If this image is not registered, images that were previously registered will be displayed.', 'tcd-w');  ?></p>
    <div class="image_box cf">
     <div class="cf cf_media_field hide-if-no-js news_archive_image_mobile">
      <input type="hidden" value="<?php echo esc_attr( $options['news_archive_image_mobile'] ); ?>" id="news_archive_image_mobile" name="dp_options[news_archive_image_mobile]" class="cf_media_id">
      <div class="preview_field"><?php if($options['news_archive_image_mobile']){ echo wp_get_attachment_image($options['news_archive_image_mobile'], 'medium'); }; ?></div>
      <div class="buttton_area">
       <input type="button" value="<?php _e('Select Image', 'tcd-w'); ?>" class="cfmf-select-img button">
       <input type="button" value="<?php _e('Remove Image', 'tcd-w'); ?>" class="cfmf-delete-img button <?php if(!$options['news_archive_image_mobile']){ echo 'hidden'; }; ?>">
      </div>
     </div>
    </div>
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

  </div><!-- END #tab-content6 -->




  <!-- #tab-content7 //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////  -->
  <div id="tab-content7">

   <?php // 電話番号 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Telephone number', 'tcd-w');  ?></h3>
    <p><label><input id="dp_options[show_header_tel]" name="dp_options[show_header_tel]" type="checkbox" value="1" <?php checked( '1', $options['show_header_tel'] ); ?> /> <?php _e('Display telephone number at header', 'tcd-w');  ?></label></p>
    <h4 class="theme_option_headline2"><?php _e('Label for telephone number', 'tcd-w');  ?></h4>
    <input id="dp_options[header_tel_label]" class="regular-text" type="text" name="dp_options[header_tel_label]" value="<?php esc_attr_e( $options['header_tel_label'] ); ?>" />
    <h4 class="theme_option_headline2"><?php _e('Telephone number', 'tcd-w');  ?></h4>
    <input id="dp_options[header_tel]" class="regular-text" type="text" name="dp_options[header_tel]" value="<?php esc_attr_e( $options['header_tel'] ); ?>" />
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

   <?php // お問い合わせページボタン ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Contact page button', 'tcd-w');  ?></h3>
    <p><label><input id="dp_options[show_header_contact_button]" name="dp_options[show_header_contact_button]" type="checkbox" value="1" <?php checked( '1', $options['show_header_contact_button'] ); ?> /> <?php _e('Display contact page button at header', 'tcd-w');  ?></label></p>
    <h4 class="theme_option_headline2"><?php _e('Color setting', 'tcd-w');  ?></h4>
    <input type="text" id="header_contact_button_color" class="color" name="dp_options[header_contact_button_color]" value="<?php esc_attr_e( $options['header_contact_button_color'] ); ?>" />
    <input type="button" style="margin:2px 0 0 15px;" class="button-secondary" value="<?php _e('Default color', 'tcd-w');  ?>" onClick="document.getElementById('header_contact_button_color').color.fromString('282C45')">
    <h4 class="theme_option_headline2"><?php _e('Label for this button', 'tcd-w');  ?></h4>
    <input id="dp_options[header_contact_label]" class="regular-text" type="text" name="dp_options[header_contact_label]" value="<?php esc_attr_e( $options['header_contact_label'] ); ?>" />
    <h4 class="theme_option_headline2"><?php _e('Link URL', 'tcd-w');  ?></h4>
    <input id="dp_options[header_contact_url]" class="regular-text" type="text" name="dp_options[header_contact_url]" value="<?php esc_attr_e( $options['header_contact_url'] ); ?>" />
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

   <?php // ヘッダーの固定設定 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Header position', 'tcd-w');  ?></h3>
    <fieldset class="cf select_type2">
     <?php
          if ( ! isset( $checked ) )
          $checked = '';
          foreach ( $header_fix_options as $option ) {
          $header_fix_setting = $options['header_fix'];
            if ( '' != $header_fix_setting ) {
              if ( $options['header_fix'] == $option['value'] ) {
                $checked = "checked=\"checked\"";
              } else {
                $checked = '';
              }
           }
     ?>
     <label class="description">
      <input type="radio" name="dp_options[header_fix]" value="<?php esc_attr_e( $option['value'] ); ?>" <?php echo $checked; ?> />
      <?php echo $option['label']; ?>
     </label>
     <?php } ?>
    </fieldset>
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

  </div><!-- END #tab-content7 -->




  <!-- #tab-content8 //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////  -->
  <div id="tab-content8">

   <?php // フッターのロゴ ----------------------------------------------------- ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Footer logo', 'tcd-w');  ?></h3>
    <div class="image_box cf">
     <div class="cf cf_media_field hide-if-no-js footer_logo">
      <input type="hidden" value="<?php echo esc_attr( $options['footer_logo'] ); ?>" id="footer_logo" name="dp_options[footer_logo]" class="cf_media_id">
      <div class="preview_field"><?php if($options['footer_logo']){ echo wp_get_attachment_image($options['footer_logo'], 'medium'); }; ?></div>
      <div class="buttton_area">
       <input type="button" value="<?php _e('Select Image', 'tcd-w'); ?>" class="cfmf-select-img button">
       <input type="button" value="<?php _e('Remove Image', 'tcd-w'); ?>" class="cfmf-delete-img button <?php if(!$options['footer_logo']){ echo 'hidden'; }; ?>">
      </div>
     </div>
    </div>
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

   <?php // フッターの住所 ----------------------------------------------------- ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Footer address', 'tcd-w');  ?></h3>
    <textarea id="dp_options[footer_address]" class="large-text" cols="50" rows="2" name="dp_options[footer_address]"><?php echo esc_textarea( $options['footer_address'] ); ?></textarea>
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

   <?php // SNSボタン ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('SNS button setting', 'tcd-w');  ?></h3>
    <p><?php _e('Enter url of your twitter and facebook page. If it is blank SNS button will not be shown.', 'tcd-w');  ?></p>
    <ul>
     <li>
      <label style="display:inline-block; min-width:140px;"><?php _e('your twitter URL', 'tcd-w');  ?></label>
      <input id="dp_options[twitter_url]" class="regular-text" type="text" name="dp_options[twitter_url]" value="<?php esc_attr_e( $options['twitter_url'] ); ?>" />
     </li>
     <li>
      <label style="display:inline-block; min-width:140px;"><?php _e('your facebook URL', 'tcd-w');  ?></label>
      <input id="dp_options[facebook_url]" class="regular-text" type="text" name="dp_options[facebook_url]" value="<?php esc_attr_e( $options['facebook_url'] ); ?>" />
     </li>
     <li>
      <label style="display:inline-block; min-width:140px;"><?php _e('your instagram URL', 'tcd-w');  ?></label>
      <input id="dp_options[insta_url]" class="regular-text" type="text" name="dp_options[insta_url]" value="<?php esc_attr_e( $options['insta_url'] ); ?>" />
     </li>
     <li>
      <label style="display:inline-block; min-width:140px;"><?php _e('your Pinterest URL', 'tcd-w');  ?></label>
      <input id="dp_options[pinterest_url]" class="regular-text" type="text" name="dp_options[pinterest_url]" value="<?php esc_attr_e( $options['pinterest_url'] ); ?>" />
     </li>
     <li>
      <label style="display:inline-block; min-width:140px;"><?php _e('your flickr URL', 'tcd-w');  ?></label>
      <input id="dp_options[flickr_url]" class="regular-text" type="text" name="dp_options[flickr_url]" value="<?php esc_attr_e( $options['flickr_url'] ); ?>" />
     </li>
     <li>
      <label style="display:inline-block; min-width:140px;"><?php _e('your tumblr URL', 'tcd-w');  ?></label>
      <input id="dp_options[tumblr_url]" class="regular-text" type="text" name="dp_options[tumblr_url]" value="<?php esc_attr_e( $options['tumblr_url'] ); ?>" />
     </li>
    </ul>
    <hr />
    <p><label><input id="dp_options[show_rss]" name="dp_options[show_rss]" type="checkbox" value="1" <?php checked( '1', $options['show_rss'] ); ?> /> <?php _e('Display RSS button', 'tcd-w');  ?></label></p>
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

   <?php // mobile footer type ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Footer type setting for mobile', 'tcd-w');  ?></h3>
    <p><?php _e('You can set the type of footer for mobile device.', 'tcd-w');  ?></p>
    <fieldset class="cf">
    <ul class="cf">
    <?php
         if ( ! isset( $checked ) )
         $checked = '';
         foreach ( $mobile_footer_type_options as $option ) {
         $mobile_footer_type_setting = $options['mobile_footer_type'];
          if ( '' != $mobile_footer_type_setting ) {
           if ( $options['mobile_footer_type'] == $option['value'] ) {
            $checked = "checked=\"checked\"";
           } else {
            $checked = '';
           }
          }
    ?>
     <li>
      <label>
      <input type="radio" name="dp_options[mobile_footer_type]" value="<?php esc_attr_e( $option['value'] ); ?>" <?php echo $checked; ?> />
      <?php _e($option['label'], 'tcd-w'); ?>
      </label>
     </li>
    <?php
         }
    ?>
    </ul>
    </fieldset>
    <input type="submit" class="button-ml" value="<?php echo __( 'Save Changes', 'tcd-w' ); ?>" />
   </div>

   <?php // フッターバーの設定 -------------------------------------------------------------------- ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e( 'Setting of the footer bar for smart phone', 'tcd-w' ); ?></h3>
    <p><?php _e( 'Please set the footer bar which is displayed with smart phone.', 'tcd-w' ); ?>
    <h4 class="theme_option_headline2"><?php _e('Display type of the footer bar', 'tcd-w'); ?></h4>
    <fieldset class="cf select_type2">
     <?php
          if ( ! isset( $checked ) )
          $checked = '';
          foreach ( $footer_bar_display_options as $option ) {
          $footer_bar_display_setting = $options['footer_bar_display'];
            if ( '' != $footer_bar_display_setting ) {
              if ( $options['footer_bar_display'] == $option['value'] ) {
                $checked = "checked=\"checked\"";
              } else {
                $checked = '';
              }
           }
     ?>
     <label class="description">
      <input type="radio" name="dp_options[footer_bar_display]" value="<?php echo esc_attr( $option['value'] ); ?>" <?php echo $checked; ?> />
      <?php echo $option['label']; ?>
     </label>
     <?php } ?>
    </fieldset>

    <h4 class="theme_option_headline2"><?php _e('Settings for the appearance of the footer bar', 'tcd-w'); ?></h4>
    <p>
     <?php _e('Background color', 'tcd-w'); ?>
     <input type="text" id="footer_bar_bg" class="color" name="dp_options[footer_bar_bg]" value="<?php echo esc_attr( $options['footer_bar_bg'] ); ?>" />
     <input type="button" style="margin:0 0 0 5px;" class="button-secondary" value="<?php _e('Default color', 'tcd-w'); ?>" onClick="document.getElementById('footer_bar_bg').color.fromString('FFFFFF')">
    </p>
    <p>
     <?php _e('Border color', 'tcd-w'); ?>
     <input type="text" id="footer_bar_border" class="color" name="dp_options[footer_bar_border]" value="<?php echo esc_attr( $options['footer_bar_border'] ); ?>" />
     <input type="button" style="margin:0 0 0 5px;" class="button-secondary" value="<?php _e('Default color', 'tcd-w'); ?>" onClick="document.getElementById('footer_bar_border').color.fromString('DDDDDD')">
    </p>
    <p>
     <?php _e('Font color', 'tcd-w'); ?>
     <input type="text" id="footer_bar_color" class="color" name="dp_options[footer_bar_color]" value="<?php echo esc_attr( $options['footer_bar_color'] ); ?>" />
     <input type="button" style="margin:0 0 0 5px;" class="button-secondary" value="<?php _e('Default color', 'tcd-w'); ?>" onClick="document.getElementById('footer_bar_color').color.fromString('000000')">
    </p>
    <p>
     <?php _e('Opacity of background', 'tcd-w'); ?>
     <input id="dp_options[footer_bar_tp]" class="font_size hankaku" type="text" name="dp_options[footer_bar_tp]" value="<?php echo esc_attr( $options['footer_bar_tp'] ); ?>" /><br>
     <?php _e('Please enter the number 0 - 1.0. (e.g. 0.8)', 'tcd-w'); ?>
    </p>

    <h4 class="theme_option_headline2"><?php _e('Settings for the contents of the footer bar', 'tcd-w'); ?></h4>
   	<p><?php _e( 'You can display the button with icon in footer bar. (We recommend you to set max 4 buttons.)', 'tcd-w' ); ?><br><?php _e( 'You can select button types below.', 'tcd-w' ); ?></p>
    <table class="table-border">
     <tr>
      <th><?php _e( 'Default', 'tcd-w' ); ?></th>
      <td><?php _e( 'You can set link URL.', 'tcd-w' ); ?></td>
     </tr>
     <tr>
      <th><?php _e( 'Share', 'tcd-w' ); ?></th>
      <td><?php _e( 'Share buttons are displayed if you tap this button.', 'tcd-w' ); ?></td>
     </tr>
     <tr>
      <th><?php _e( 'Telephone', 'tcd-w' ); ?></th>
      <td><?php _e( 'You can call this number.', 'tcd-w' ); ?></td>
     </tr>
    </table>
    <p><?php _e( 'Click "Add item", and set the button for footer bar. You can drag the item to change their order.', 'tcd-w' ); ?></p>
    <div class="repeater-wrapper">
     <div class="repeater sortable" data-delete-confirm="<?php _e( 'Delete?', 'tcd-w' ); ?>">
<?php
    if ( $options['footer_bar_btns'] ) :
      foreach ( $options['footer_bar_btns'] as $key => $value ) :  
?>
      <div class="sub_box repeater-item repeater-item-<?php echo esc_attr( $key ); ?>">
       <h4 class="theme_option_subbox_headline"><?php echo esc_attr( $value['label'] ); ?></h4>
       <div class="sub_box_content">
        <p class="footer-bar-target" style="<?php if ( $value['type'] !== 'type1' ) { echo 'display: none;'; } ?>"><label><input name="dp_options[repeater_footer_bar_btns][<?php echo esc_attr( $key ); ?>][target]" type="checkbox" value="1" <?php checked( $value['target'], 1 ); ?>><?php _e( 'Open with new window', 'tcd-w' ); ?></label></p>
        <table class="table-repeater">
         <tr class="footer-bar-type">
          <th><label><?php _e( 'Button type', 'tcd-w' ); ?></label></th>
          <td>
           <select name="dp_options[repeater_footer_bar_btns][<?php echo esc_attr( $key ); ?>][type]">
            <?php foreach( $footer_bar_button_options as $option ) : ?>
            <option value="<?php echo esc_attr( $option['value'] ); ?>" <?php selected( $value['type'], $option['value'] ); ?>><?php esc_html_e( $option['label'], 'tcd-w' ); ?></option>
            <?php endforeach; ?>
           </select>
          </td>
         </tr>
         <tr>
          <th><label for="dp_options[footer_bar_btn<?php echo esc_attr( $key ); ?>_label]"><?php _e( 'Button label', 'tcd-w' ); ?></label></th>
          <td><input id="dp_options[footer_bar_btn<?php echo esc_attr( $key ); ?>_label]" class="regular-text repeater-label" type="text" name="dp_options[repeater_footer_bar_btns][<?php echo esc_attr( $key ); ?>][label]" value="<?php echo esc_attr( $value['label'] ); ?>"></td>
         </tr>
         <tr class="footer-bar-url" style="<?php if ( $value['type'] !== 'type1' ) { echo 'display: none;'; } ?>">
          <th><label for="dp_options[footer_bar_btn<?php echo esc_attr( $key ); ?>_url]"><?php _e( 'Link URL', 'tcd-w' ); ?></label></th>
          <td><input id="dp_options[footer_bar_btn<?php echo esc_attr( $key ); ?>_url]" class="regular-text" type="text" name="dp_options[repeater_footer_bar_btns][<?php echo esc_attr( $key ); ?>][url]" value="<?php echo esc_attr( $value['url'] ); ?>"></td>
         </tr>
         <tr class="footer-bar-number" style="<?php if ( $value['type'] !== 'type3' ) { echo 'display: none;'; } ?>">
          <th><label for="dp_options[footer_bar_btn<?php echo esc_attr( $key ); ?>_number]"><?php _e( 'Phone number', 'tcd-w' ); ?></label></th>
          <td><input id="dp_options[footer_bar_btn<?php echo esc_attr( $key ); ?>_number]" class="regular-text" type="text" name="dp_options[repeater_footer_bar_btns][<?php echo esc_attr( $key ); ?>][number]" value="<?php echo esc_attr( $value['number'] ); ?>"></td>
         </tr>
         <tr>
          <th><?php _e( 'Button icon', 'tcd-w' ); ?></th>
          <td>
           <?php foreach( $footer_bar_icon_options as $option ) : ?>
           <p><label><input type="radio" name="dp_options[repeater_footer_bar_btns][<?php echo esc_attr( $key ); ?>][icon]" value="<?php echo esc_attr( $option['value'] ); ?>" <?php checked( $option['value'], $value['icon'] ); ?>><span class="icon icon-<?php echo esc_attr( $option['value'] ); ?>"></span><?php esc_html_e( $option['label'], 'tcd-w' ); ?></label></p>
           <?php endforeach; ?>
          </td>
         </tr>
        </table>
        <p class="delete-row right-align"><a href="#" class="button button-secondary button-delete-row"><?php _e( 'Delete item', 'tcd-w' ); ?></a></p>
       </div>
      </div>
<?php
      endforeach;
    endif;

    $key = 'addindex';
    ob_start();
?>
      <div class="sub_box repeater-item repeater-item-<?php echo $key; ?>">
       <h4 class="theme_option_subbox_headline"><?php _e( 'New item', 'tcd-w' ); ?></h4>
       <div class="sub_box_content">
        <p class="footer-bar-target"><label><input name="dp_options[repeater_footer_bar_btns][<?php echo esc_attr( $key ); ?>][target]" type="checkbox" value="1"><?php _e( 'Open with new window', 'tcd-w' ); ?></label></p>
        <table class="table-repeater">
         <tr class="footer-bar-type">
          <th><label><?php _e( 'Button type', 'tcd-w' ); ?></label></th>
          <td>
           <select name="dp_options[repeater_footer_bar_btns][<?php echo esc_attr( $key ); ?>][type]">
            <?php foreach( $footer_bar_button_options as $option ) : ?>
            <option value="<?php echo esc_attr( $option['value'] ); ?>"><?php esc_html_e( $option['label'], 'tcd-w' ); ?></option>
            <?php endforeach; ?>
           </select>
          </td>
         </tr>
         <tr>
          <th><label for="dp_options[repeater_footer_bar_btn<?php echo esc_attr( $key ); ?>_label]"><?php _e( 'Button label', 'tcd-w' ); ?></label></th>
          <td><input id="dp_options[footer_bar_btn<?php echo esc_attr( $key ); ?>_label]" class="regular-text repeater-label" type="text" name="dp_options[repeater_footer_bar_btns][<?php echo esc_attr( $key ); ?>][label]" value=""></td>
         </tr>
         <tr class="footer-bar-url">
          <th><label for="dp_options[footer_bar_btn<?php echo esc_attr( $key ); ?>_url]"><?php _e( 'Link URL', 'tcd-w' ); ?></label></th>
          <td><input id="dp_options[footer_bar_btn<?php echo esc_attr( $key ); ?>_url]" class="regular-text" type="text" name="dp_options[repeater_footer_bar_btns][<?php echo esc_attr( $key ); ?>][url]" value=""></td>
         </tr>
         <tr class="footer-bar-number" style="display: none;">
          <th><label for="dp_options[footer_bar_btn<?php echo esc_attr( $key ); ?>_number]"><?php _e( 'Phone number', 'tcd-w' ); ?></label></th>
          <td><input id="dp_options[footer_bar_btn<?php echo esc_attr( $key ); ?>_number]" class="regular-text" type="text" name="dp_options[repeater_footer_bar_btns][<?php echo esc_attr( $key ); ?>][number]" value=""></td>
         </tr>
         <tr>
          <th><?php _e( 'Button icon', 'tcd-w' ); ?></th>
          <td>
           <?php foreach( $footer_bar_icon_options as $option ) : ?>
           <p><label><input type="radio" name="dp_options[repeater_footer_bar_btns][<?php echo esc_attr( $key ); ?>][icon]" value="<?php echo esc_attr( $option['value'] ); ?>"<?php if ( 'file-text' == $option['value'] ) { echo ' checked="checked"'; } ?>><span class="icon icon-<?php echo esc_attr( $option['value'] ); ?>"></span><?php esc_html_e( $option['label'], 'tcd-w' ); ?></label></p>
           <?php endforeach; ?>
          </td>
         </tr>
        </table>
        <p class="delete-row right-align"><a href="#" class="button button-secondary button-delete-row"><?php _e( 'Delete item', 'tcd-w' ); ?></a></p>
       </div>
      </div>
<?php
    $clone = ob_get_clean();
?>
     </div><!-- END .repeater -->
     <a href="#" class="button button-secondary button-add-row" data-clone="<?php echo esc_attr( $clone ); ?>"><?php _e( 'Add item', 'tcd-w' ); ?></a>
    </div><!-- END .repeater-wrapper -->
    <input type="submit" class="button-ml" value="<?php _e( 'Save Changes', 'tcd-w' ); ?>"> 
   </div><!-- END .theme_option_field -->

  </div><!-- END #tab-content7 -->


  </div><!-- END #tab-panel -->

  </form>

  </div><!-- END #my_theme_right -->

 </div><!-- END #my_theme_option -->

</div><!-- END #wrap -->

<?php

 }


/**
 * チェック
 */
function theme_options_validate( $input ) {

 global $index_staff_num_options, $index_news_num_options, $index_content1_icon1_options, $index_content1_icon2_options, $index_content1_icon3_options, $index_info_button_icon1_options, $index_info_button_icon2_options, $index_content1_type_options, $header_fix_options, $sns_type_top_options, $sns_type_btm_options,
        $mobile_footer_type_options, $footer_bar_icon_options, $footer_bar_button_options, $footer_bar_display_options, $load_time_options;

 // 色の設定
 $input['pickedcolor1'] = wp_filter_nohtml_kses( $input['pickedcolor1'] );
 $input['pickedcolor2'] = wp_filter_nohtml_kses( $input['pickedcolor2'] );

 // フォントサイズ
 $input['content_font_size'] = wp_filter_nohtml_kses( $input['content_font_size'] );

 // favicon
 $input['favicon'] = wp_filter_nohtml_kses( $input['favicon'] );

 // API Key
 $input['myapikey'] = wp_filter_nohtml_kses( $input['myapikey'] );

 // Facebook OGPの設定
 if ( ! isset( $input['use_ogp'] ) )
   $input['use_ogp'] = null;
   $input['use_ogp'] = ( $input['use_ogp'] == 1 ? 1 : 0 );
 $input['ogp_image'] = wp_filter_nohtml_kses( $input['ogp_image'] );
 $input['fb_admin_id'] = wp_filter_nohtml_kses( $input['fb_admin_id'] );

 // Twitter Cardsの設定
 if ( ! isset( $input['use_twitter_card'] ) )
   $input['use_twitter_card'] = null;
   $input['use_twitter_card'] = ( $input['use_twitter_card'] == 1 ? 1 : 0 );
 $input['twitter_account_name'] = wp_filter_nohtml_kses( $input['twitter_account_name'] );

//絵文字の設定
if ( ! isset( $input['use_emoji'] ) )
$input['use_emoji'] = null;
$input['use_emoji'] = ( $input['use_emoji'] == 1 ? 1 : 0 );

// ロード画面の設定
$load_time_flag = false;
if ( ! isset( $input['use_load_icon'] ) ) $input['use_load_icon'] = null;
$input['use_load_icon'] = ( $input['use_load_icon'] == 1 ? 1 : 0 );
if ( ! isset( $input['load_time'] ) ) $input['load_time'] = null;
foreach ( $load_time_options as $load_time_option ) {
	if ( $input['load_time'] === $load_time_option['value'] ) {
		$load_time_flag = true;
	}
}
if ( ! $load_time_flag ) $input['load_time'] = null;

 // 投稿者・タグ・コメント
 if ( ! isset( $input['show_info_date'] ) )
  $input['show_info_date'] = null;
  $input['show_info_date'] = ( $input['show_info_date'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_date'] ) )
  $input['show_date'] = null;
  $input['show_date'] = ( $input['show_date'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_category'] ) )
  $input['show_category'] = null;
  $input['show_category'] = ( $input['show_category'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_tag'] ) )
  $input['show_tag'] = null;
  $input['show_tag'] = ( $input['show_tag'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_comment'] ) )
  $input['show_comment'] = null;
  $input['show_comment'] = ( $input['show_comment'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_trackback'] ) )
  $input['show_trackback'] = null;
  $input['show_trackback'] = ( $input['show_trackback'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_related_post'] ) )
  $input['show_related_post'] = null;
  $input['show_related_post'] = ( $input['show_related_post'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_next_post'] ) )
  $input['show_next_post'] = null;
  $input['show_next_post'] = ( $input['show_next_post'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_thumbnail'] ) )
  $input['show_thumbnail'] = null;
  $input['show_thumbnail'] = ( $input['show_thumbnail'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_author'] ) )
  $input['show_author'] = null;
  $input['show_author'] = ( $input['show_author'] == 1 ? 1 : 0 );

 // ソーシャルボタンの表示設定
 if ( ! isset( $input['sns_type_top'] ) )
  $input['sns_type_top'] = null;
 if ( ! array_key_exists( $input['sns_type_top'], $sns_type_top_options ) )
  $input['sns_type_top'] = null;
 if ( ! isset( $input['show_sns_top'] ) )
  $input['show_sns_top'] = null;
  $input['show_sns_top'] = ( $input['show_sns_top'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_twitter_top'] ) )
  $input['show_twitter_top'] = null;
  $input['show_twitter_top'] = ( $input['show_twitter_top'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_fblike_top'] ) )
  $input['show_fblike_top'] = null;
  $input['show_fblike_top'] = ( $input['show_fblike_top'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_fbshare_top'] ) )
  $input['show_fbshare_top'] = null;
  $input['show_fbshare_top'] = ( $input['show_fbshare_top'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_google_top'] ) )
  $input['show_google_top'] = null;
  $input['show_google_top'] = ( $input['show_google_top'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_hatena_top'] ) )
  $input['show_hatena_top'] = null;
  $input['show_hatena_top'] = ( $input['show_hatena_top'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_pocket_top'] ) )
  $input['show_pocket_top'] = null;
  $input['show_pocket_top'] = ( $input['show_pocket_top'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_feedly_top'] ) )
  $input['show_feedly_top'] = null;
  $input['show_feedly_top'] = ( $input['show_feedly_top'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_rss_top'] ) )
  $input['show_rss_top'] = null;
  $input['show_rss_top'] = ( $input['show_rss_top'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_pinterest_top'] ) )
  $input['show_pinterest_top'] = null;
  $input['show_pinterest_top'] = ( $input['show_pinterest_top'] == 1 ? 1 : 0 );

 if ( ! isset( $input['sns_type_btm'] ) )
  $input['sns_type_btm'] = null;
 if ( ! array_key_exists( $input['sns_type_btm'], $sns_type_btm_options ) )
  $input['sns_type_btm'] = null;
 if ( ! isset( $input['show_sns_btm'] ) )
  $input['show_sns_btm'] = null;
  $input['show_sns_btm'] = ( $input['show_sns_btm'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_twitter_btm'] ) )
  $input['show_twitter_btm'] = null;
  $input['show_twitter_btm'] = ( $input['show_twitter_btm'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_fblike_btm'] ) )
  $input['show_fblike_btm'] = null;
  $input['show_fblike_btm'] = ( $input['show_fblike_btm'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_fbshare_btm'] ) )
  $input['show_fbshare_btm'] = null;
  $input['show_fbshare_btm'] = ( $input['show_fbshare_btm'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_google_btm'] ) )
  $input['show_google_btm'] = null;
  $input['show_google_btm'] = ( $input['show_google_btm'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_hatena_btm'] ) )
  $input['show_hatena_btm'] = null;
  $input['show_hatena_btm'] = ( $input['show_hatena_btm'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_pocket_btm'] ) )
  $input['show_pocket_btm'] = null;
  $input['show_pocket_btm'] = ( $input['show_pocket_btm'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_feedly_btm'] ) )
  $input['show_feedly_btm'] = null;
  $input['show_feedly_btm'] = ( $input['show_feedly_btm'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_rss_btm'] ) )
  $input['show_rss_btm'] = null;
  $input['show_rss_btm'] = ( $input['show_rss_btm'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_pinterest_btm'] ) )
  $input['show_pinterest_btm'] = null;
  $input['show_pinterest_btm'] = ( $input['show_pinterest_btm'] == 1 ? 1 : 0 );

 // オリジナルスタイルの設定
 $input['css_code'] = $input['css_code'];

 // スマホ専用のロゴ画像
 $input['mobile_logo'] = wp_filter_nohtml_kses( $input['mobile_logo'] );

 // トップページの設定
 if ( ! isset( $input['show_index_slider'] ) )
  $input['show_index_slider'] = null;
  $input['show_index_slider'] = ( $input['show_index_slider'] == 1 ? 1 : 0 );
 $input['slider_image1'] = wp_filter_nohtml_kses( $input['slider_image1'] );
 $input['slider_image2'] = wp_filter_nohtml_kses( $input['slider_image2'] );
 $input['slider_image3'] = wp_filter_nohtml_kses( $input['slider_image3'] );
 $input['slider_url1'] = wp_filter_nohtml_kses( $input['slider_url1'] );
 $input['slider_url2'] = wp_filter_nohtml_kses( $input['slider_url2'] );
 $input['slider_url3'] = wp_filter_nohtml_kses( $input['slider_url3'] );
 $input['slider_mobile_image1'] = wp_filter_nohtml_kses( $input['slider_mobile_image1'] );
 $input['slider_mobile_image2'] = wp_filter_nohtml_kses( $input['slider_mobile_image2'] );
 $input['slider_mobile_image3'] = wp_filter_nohtml_kses( $input['slider_mobile_image3'] );

 if ( ! isset( $input['show_index_content1'] ) )
  $input['show_index_content1'] = null;
  $input['show_index_content1'] = ( $input['show_index_content1'] == 1 ? 1 : 0 );
 $input['index_content1_main_headline'] = wp_filter_nohtml_kses( $input['index_content1_main_headline'] );
 $input['index_content1_main_desc'] = $input['index_content1_main_desc'];
 $input['index_content1_headline1'] = wp_filter_nohtml_kses( $input['index_content1_headline1'] );
 $input['index_content1_headline2'] = wp_filter_nohtml_kses( $input['index_content1_headline2'] );
 $input['index_content1_headline3'] = wp_filter_nohtml_kses( $input['index_content1_headline3'] );
 $input['index_content1_desc1'] = $input['index_content1_desc1'];
 $input['index_content1_desc2'] = $input['index_content1_desc2'];
 $input['index_content1_desc3'] = $input['index_content1_desc3'];
 $input['index_content1_image1'] = wp_filter_nohtml_kses( $input['index_content1_image1'] );
 $input['index_content1_image2'] = wp_filter_nohtml_kses( $input['index_content1_image2'] );
 $input['index_content1_image3'] = wp_filter_nohtml_kses( $input['index_content1_image3'] );
 $input['index_content1_url1'] = wp_filter_nohtml_kses( $input['index_content1_url1'] );
 $input['index_content1_url2'] = wp_filter_nohtml_kses( $input['index_content1_url2'] );
 $input['index_content1_url3'] = wp_filter_nohtml_kses( $input['index_content1_url3'] );
 $input['index_content1_icon1'] = wp_filter_nohtml_kses( $input['index_content1_icon1'] );
 $input['index_content1_icon2'] = wp_filter_nohtml_kses( $input['index_content1_icon2'] );
 $input['index_content1_icon3'] = wp_filter_nohtml_kses( $input['index_content1_icon3'] );
 $input['index_content1_color1'] = wp_filter_nohtml_kses( $input['index_content1_color1'] );
 $input['index_content1_color2'] = wp_filter_nohtml_kses( $input['index_content1_color2'] );
 $input['index_content1_color3'] = wp_filter_nohtml_kses( $input['index_content1_color3'] );
 $input['index_content1_type'] = wp_filter_nohtml_kses( $input['index_content1_type'] );

 if ( ! isset( $input['show_index_staff'] ) )
  $input['show_index_staff'] = null;
  $input['show_index_staff'] = ( $input['show_index_staff'] == 1 ? 1 : 0 );
 $input['index_staff_headline'] = wp_filter_nohtml_kses( $input['index_staff_headline'] );
 $input['index_staff_num'] = wp_filter_nohtml_kses( $input['index_staff_num'] );
 if ( ! isset( $input['show_index_staff_btn'] ) )
  $input['show_index_staff_btn'] = null;
  $input['show_index_staff_btn'] = ( $input['show_index_staff_btn'] == 1 ? 1 : 0 );
 $input['index_staff_btn'] = wp_filter_nohtml_kses( $input['index_staff_btn'] );

 if ( ! isset( $input['show_index_news_content'] ) )
  $input['show_index_news_content'] = null;
  $input['show_index_news_content'] = ( $input['show_index_news_content'] == 1 ? 1 : 0 );
 $input['index_news_image'] = wp_filter_nohtml_kses( $input['index_news_image'] );
 $input['index_news_image_mobile'] = wp_filter_nohtml_kses( $input['index_news_image_mobile'] );
 $input['index_news_headline'] = wp_filter_nohtml_kses( $input['index_news_headline'] );
 $input['index_news_num'] = wp_filter_nohtml_kses( $input['index_news_num'] );
 if ( ! isset( $input['show_index_news_button'] ) )
  $input['show_index_news_button'] = null;
  $input['show_index_news_button'] = ( $input['show_index_news_button'] == 1 ? 1 : 0 );
 $input['index_news_button'] = wp_filter_nohtml_kses( $input['index_news_button'] );

 $input['index_info_image1'] = wp_filter_nohtml_kses( $input['index_info_image1'] );
 $input['index_info_image2'] = wp_filter_nohtml_kses( $input['index_info_image2'] );
 $input['index_info_image3'] = wp_filter_nohtml_kses( $input['index_info_image3'] );
 $input['index_info_image4'] = wp_filter_nohtml_kses( $input['index_info_image4'] );
 $input['index_info_image5'] = wp_filter_nohtml_kses( $input['index_info_image5'] );
 $input['index_info_desc'] = $input['index_info_desc'];
 $input['index_info_headline'] = $input['index_info_headline'];
 if ( ! isset( $input['show_index_info_button1'] ) )
  $input['show_index_info_button1'] = null;
  $input['show_index_info_button1'] = ( $input['show_index_info_button1'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_index_info_button2'] ) )
  $input['show_index_info_button2'] = null;
  $input['show_index_info_button2'] = ( $input['show_index_info_button2'] == 1 ? 1 : 0 );
 $input['index_info_button_label1'] = $input['index_info_button_label1'];
 $input['index_info_button_label2'] = $input['index_info_button_label2'];
 $input['index_info_button_url1'] = $input['index_info_button_url1'];
 $input['index_info_button_url2'] = $input['index_info_button_url2'];
 $input['index_info_button_icon1'] = wp_filter_nohtml_kses( $input['index_info_button_icon1'] );
 $input['index_info_button_icon2'] = wp_filter_nohtml_kses( $input['index_info_button_icon2'] );

 // スタッフアーカイブページ用の設定
 $input['staff_archive_image'] = wp_filter_nohtml_kses( $input['staff_archive_image'] );
 $input['staff_archive_image_mobile'] = wp_filter_nohtml_kses( $input['staff_archive_image_mobile'] );
 $input['staff_archive_headline'] = wp_filter_nohtml_kses( $input['staff_archive_headline'] );
 $input['staff_archive_desc'] = $input['staff_archive_desc'];
 $input['staff_single_headline'] = wp_filter_nohtml_kses( $input['staff_single_headline'] );

 // ブログページ用の設定
 $input['blog_archive_image'] = wp_filter_nohtml_kses( $input['blog_archive_image'] );
 $input['blog_archive_image_mobile'] = wp_filter_nohtml_kses( $input['blog_archive_image_mobile'] );
 $input['blog_ad_image1'] = wp_filter_nohtml_kses( $input['blog_ad_image1'] );
 $input['blog_ad_image2'] = wp_filter_nohtml_kses( $input['blog_ad_image2'] );
 $input['blog_ad_code1'] = $input['blog_ad_code1'];
 $input['blog_ad_code2'] = $input['blog_ad_code2'];
 $input['blog_ad_url1'] = $input['blog_ad_url1'];
 $input['blog_ad_url2'] = $input['blog_ad_url2'];
 $input['blog_ad_image_mobile1'] = wp_filter_nohtml_kses( $input['blog_ad_image_mobile1'] );
 $input['blog_ad_image_mobile2'] = wp_filter_nohtml_kses( $input['blog_ad_image_mobile2'] );
 $input['blog_ad_code_mobile1'] = $input['blog_ad_code_mobile1'];
 $input['blog_ad_code2'] = $input['blog_ad_code_mobile2'];
 $input['blog_ad_url_mobile1'] = $input['blog_ad_url_mobile1'];
 $input['blog_ad_url_mobile2'] = $input['blog_ad_url_mobile2'];

 // お知らせページ用の設定
 $input['news_archive_image'] = wp_filter_nohtml_kses( $input['news_archive_image'] );
 $input['news_archive_image_mobile'] = wp_filter_nohtml_kses( $input['news_archive_image_mobile'] );

 // ヘッダーの設定
 if ( ! isset( $input['show_header_tel'] ) )
  $input['show_header_tel'] = null;
  $input['show_header_tel'] = ( $input['show_header_tel'] == 1 ? 1 : 0 );
 $input['header_tel_label'] = wp_filter_nohtml_kses($input['header_tel_label']);
 $input['header_tel'] = wp_filter_nohtml_kses($input['header_tel']);
 if ( ! isset( $input['show_header_contact_button'] ) )
  $input['show_header_contact_button'] = null;
  $input['show_header_contact_button'] = ( $input['show_header_contact_button'] == 1 ? 1 : 0 );
 $input['header_contact_label'] = wp_filter_nohtml_kses($input['header_contact_label']);
 $input['header_contact_url'] = wp_filter_nohtml_kses($input['header_contact_url']);
 $input['header_contact_button_color'] = wp_filter_nohtml_kses($input['header_contact_button_color']);
 $input['header_fix'] = wp_filter_nohtml_kses( $input['header_fix'] );

 // フッターの設定
 $input['footer_logo'] = wp_filter_nohtml_kses( $input['footer_logo'] );
 $input['footer_address'] = wp_filter_nohtml_kses($input['footer_address']);
 $input['twitter_url'] = wp_filter_nohtml_kses( $input['twitter_url'] );
 $input['facebook_url'] = wp_filter_nohtml_kses( $input['facebook_url'] );
 $input['insta_url'] = wp_filter_nohtml_kses( $input['insta_url'] );
 $input['pinterest_url'] = wp_filter_nohtml_kses( $input['pinterest_url'] );
 $input['flickr_url'] = wp_filter_nohtml_kses( $input['flickr_url'] );
 $input['tumblr_url'] = wp_filter_nohtml_kses( $input['tumblr_url'] );
 if ( ! isset( $input['show_rss'] ) )
  $input['show_rss'] = null;
  $input['show_rss'] = ( $input['show_rss'] == 1 ? 1 : 0 );

 //ロゴの位置
 if(isset($input['logotop'])){
	 $input['logotop'] = intval($input['logotop']);
 }
 if(isset($input['logoleft'])){
	 $input['logoleft'] = intval($input['logoleft']);
 }


 // mobile footer type
 if ( ! isset( $input['mobile_footer_type'] ) )
  $input['mobile_footer_type'] = null;
 if ( ! array_key_exists( $input['mobile_footer_type'], $mobile_footer_type_options ) )
  $input['mobile_footer_type'] = null;


 //ファイルアップロード
 if(isset($_FILES['dp_image'])){
	$message = _dp_upload_logo();
	add_settings_error('design_plus_options', 'default', $message['message'], ($message['error'] ? 'error' : 'updated'));
 }

 //画像リサイズ
 if(isset($_REQUEST['dp_logo_resize_left'], $_REQUEST['dp_logo_resize_top']) && is_numeric($_REQUEST['dp_logo_resize_left']) && is_numeric($_REQUEST['dp_logo_resize_top'])){
	$message = _dp_resize_logo();
	add_settings_error('design_plus_options', 'default', $message['message'], ($message['error'] ? 'error' : 'updated'));
 }


 // スマホ用固定フッターバーの設定
 $footer_bar_btns = array();
 if ( isset( $input['repeater_footer_bar_btns'] ) ):
	 foreach ( (array)$input['repeater_footer_bar_btns'] as $key => $value ) {
	  $footer_bar_btns[] = array(
	   'type' => ( isset( $input['repeater_footer_bar_btns'][$key]['type'] ) && array_key_exists( $input['repeater_footer_bar_btns'][$key]['type'], $footer_bar_button_options ) ) ? $input['repeater_footer_bar_btns'][$key]['type'] : 'type1',
	   'label' => isset( $input['repeater_footer_bar_btns'][$key]['label'] ) ? wp_filter_nohtml_kses( $input['repeater_footer_bar_btns'][$key]['label'] ) : '',
	   'url' => isset( $input['repeater_footer_bar_btns'][$key]['url'] ) ? wp_filter_nohtml_kses( $input['repeater_footer_bar_btns'][$key]['url'] ) : '',
	   'number' => isset( $input['repeater_footer_bar_btns'][$key]['number'] ) ? wp_filter_nohtml_kses( $input['repeater_footer_bar_btns'][$key]['number'] ) : '',
	   'target' => ! empty( $input['repeater_footer_bar_btns'][$key]['target'] ) ? 1 : 0,
	   'icon' => ( isset( $input['repeater_footer_bar_btns'][$key]['icon'] ) && array_key_exists( $input['repeater_footer_bar_btns'][$key]['icon'], $footer_bar_icon_options ) ) ? $input['repeater_footer_bar_btns'][$key]['icon'] : 'file-text'
	  );
	 }
 endif;
 $input['footer_bar_btns'] = $footer_bar_btns;


   if(isset($_FILES['favicon_file'])){
     //画像のアップロードに問題はないか
     if($_FILES['favicon_file']['error'] === 0){
       $name = sanitize_file_name($_FILES['favicon_file']['name']);
       //ファイル形式をチェック
       if(!preg_match("/\.(png|ico|gif)$/i", $name)){
         add_settings_error('design_plus_options', 'dp_uploader', sprintf(__('You uploaded %s but allowed file format is PNG, GIF and JPG.', 'tcd-w'), $name), 'error');
       }else{
        //ディレクトリの存在をチェック
        if(
          (
            (file_exists(dp_logo_basedir()) && is_dir(dp_logo_basedir()) && is_writable(dp_logo_basedir()) )
              ||
            @mkdir(dp_logo_basedir())
          )
            &&
          move_uploaded_file($_FILES['favicon_file']['tmp_name'], dp_logo_basedir().DIRECTORY_SEPARATOR.$name)
        ){
          $input['favicon'] = dp_logo_baseurl().'/'.$name;
        }else{
          add_settings_error('default', 'dp_uploader', sprintf(__('Directory %s is not writable. Please check permission.', 'tcd-w'), dp_logo_basedir()), 'error');
          //break;
        }
       }
     }elseif($_FILES['favicon_file']['error'] !== UPLOAD_ERR_NO_FILE){
       add_settings_error('default', 'dp_uploader', _dp_get_upload_err_msg($_FILES['favicon_file']['error']), 'error');
       //continue;
     }
   }

 return $input;
}

?>