<?php if (is_mobile()) { get_template_part('mobile/front-page'); } else { get_header(); ?>
<?php $options = get_desing_plus_option(); if (!is_paged()): get_header(); ?>


 <?php // index_content1 *************************************************************************************************** ?>
 <?php if($options['show_index_content1'] == 1) { ?>
 <div id="index_content1">
  <div id="index_content1_top" class="clearfix<?php if($options['index_content1_type'] == 'type3') { echo ' type3'; }; ?>">
   <?php for($i = 1; $i <= 3; $i++): ?>
   <div class="box box<?php echo $i; ?>">
    <a href="<?php echo $options['index_content1_url'.$i]; ?>" class="link">
    <?php if(!empty($options['index_content1_headline'.$i])) { ?>
    <h3 class="headline"><?php echo $options['index_content1_headline'.$i]; ?></h3>
    <?php }; ?>
    <div class="image">
     <?php
          if($options['index_content1_type'] != 'type2') {
            $index_content1_image = wp_get_attachment_image_src( $options['index_content1_image'.$i], 'full' );
     ?>
     <img src="<?php echo $index_content1_image[0]; ?>" alt="" title="" class="mask" />
     <?php }; ?>
    </div>
    <?php if(!empty($options['index_content1_desc'.$i])) { ?>
    <p class="desc"><?php echo $options['index_content1_desc'.$i]; ?></p>
    <?php }; ?>
    </a>
   </div><!-- END .box -->
   <?php endfor; ?>
  </div><!-- END #index_content1_top -->
  <div id="index_content1_bottom">
   <?php if(!empty($options['index_content1_main_headline'])) { ?>
   <h3 class="headline"><?php echo $options['index_content1_main_headline']; ?></h3>
   <?php }; ?>
   <?php if(!empty($options['index_content1_main_desc'])) { ?>
   <div class="desc"><?php echo wpautop( $options['index_content1_main_desc'] ); ?></div>
   <?php }; ?>
  </div><!-- END #index_content1_bottom -->
 </div><!-- #index_content1 -->
 <?php }; ?>


 <?php // news *************************************************************************************************** ?>
 <?php if($options['show_index_news_content'] == 1) { ?>
 <?php
      if(!empty($options['index_news_image'])) {
      $index_news_image = wp_get_attachment_image_src( $options['index_news_image'], 'full' );
 ?>
 <img id="index_news_image" src="<?php echo $index_news_image[0]; ?>" alt="" title="" />
 <?php }; ?>
 <div id="index_news">
  <?php if(!empty($options['index_news_headline'])) { ?>
  <h3 class="headline"><?php echo $options['index_news_headline']; ?></h3>
  <?php }; ?>
  <?php
       $news_num = $options['index_news_num'];
       $args = array('post_type' => 'news', 'ignore_sticky_posts' => 1, 'orderby' => 'date', 'order' => 'DESC', 'posts_per_page' => $news_num);
       $index_news_list = get_posts($args);
       if ($index_news_list) {
  ?>
  <ol class="clearfix">
   <?php foreach ($index_news_list as $post) : setup_postdata ($post); ?>
   <li class="clearfix">
     <a class="image" href="<?php the_permalink() ?>"><?php the_post_thumbnail('size1'); ?></a>
     <?php if ($options['show_info_date']){ ?><p class="date mb5"><time class="entry-date updated" datetime="<?php the_modified_time('c'); ?>"><?php the_time('Y.n.j'); ?></time></p><?php }; ?>
     <a class="title" href="<?php the_permalink() ?>"><?php 
if(mb_strlen($post->post_title)>70) { $title= mb_strimwidth($post->post_title,0,70) ; 
echo $title. "..." ;} 
else {echo $post->post_title;}
?></a>
   </li>
   <?php endforeach; wp_reset_query(); ?>
  </ol>
  <?php if($options['show_index_news_button'] == 1) { ?><a class="link_button" href="<?php echo get_post_type_archive_link('news'); ?>"><?php echo $options['index_news_button']; ?></a><?php }; ?>
  <?php }; ?>
 </div><!-- #index_news -->
 <?php }; ?>

 <?php // staff *************************************************************************************************** ?>
<?php if($options['show_index_staff'] == 1) { ?>
<div id="index_staff_head">
 <div id="index_staff_head_inner">
 <?php if(!empty($options['index_staff_headline'])) { ?>
 <h3 id="index_staff_headline"><?php echo $options['index_staff_headline']; ?></h3>
 <?php }; ?>
 <?php if($options['show_index_staff_btn'] == 1) { ?>
 <a class="link_button" href="<?php echo get_post_type_archive_link('staff'); ?>"><?php echo $options['index_staff_btn']; ?></a>
 <?php };?>
 </div>
</div>
 <div id="index_staff">
  <div id="index_staff_inner" class="clearfix">
   <?php
        $staff_num = $options['index_staff_num'];
        $args = array('post_type' => 'staff', 'ignore_sticky_posts' => 1, 'orderby' => 'date', 'order' => 'DESC', 'posts_per_page' => $staff_num);
        $index_staff_list = get_posts($args);
        if ($index_staff_list) {
   ?>
   <div id="index_staff_list" class="owl-carousel">
    <?php
         foreach ($index_staff_list as $post) : setup_postdata ($post);
           $staff_data = esc_html(get_post_meta($post->ID, 'staff_data2', true));
    ?>
    <div class="item">
     <a class="link" href="<?php the_permalink() ?>">
      <div class="image"><?php the_post_thumbnail('size1'); ?></div>
      <div class="title"><?php the_title(); ?></div>
      <div class="desc"><?php echo wpautop($staff_data); ?></div>
     </a>
    </div>
    <?php endforeach; wp_reset_query(); ?>
   </div>
   <?php }; ?>
  </div><!-- #index_staff_inner -->
 </div><!-- #index_staff -->
 <?php }; ?>


 <?php // #index_info *************************************************************************************************** ?>
 <?php if($options['show_index_info'] == 1) { ?>
 <?php if(!empty($options['index_info_headline'])) { ?>
 <h3 id="index_info_headline"><?php echo $options['index_info_headline']; ?></h3>
 <?php }; ?>
 <?php if(!empty($options['index_info_image1'])) { ?>
 <div id="index_info_image" class="clearfix">
 <?php
        for($i = 1; $i <= 5; $i++):
          if(!empty($options['index_info_image'.$i])) {
            $index_info_image = wp_get_attachment_image_src( $options['index_info_image'.$i], 'full' );
 ?>
 <img class="image" src="<?php echo $index_info_image[0]; ?>" alt="" title="" />
 <?php
          };
        endfor;
 ?>
 </div>
 <?php }; ?>
 <div id="index_info"<?php if(empty($options['index_info_image1'])){ echo ' style="padding-top:0;"'; }; ?>>
  <?php if(!empty($options['index_info_desc'])) { ?>
  <div class="desc"><?php echo wpautop( $options['index_info_desc'] ); ?></div>
  <?php }; ?>

  <?php if($options['show_index_info_button1'] == 1 || $options['show_index_info_button2'] == 1) { ?>
  <ul id="index_info_button" class="clerfix">
   <?php if($options['show_index_info_button1'] == 1){ ?>
   <li class="button1">
    <a href="<?php echo esc_html($options['index_info_button_url1']); ?>"><?php echo esc_html($options['index_info_button_label1']); ?></a>
   </li>
   <?php }; ?>
   <?php if($options['show_index_info_button2'] == 1){ ?>
   <li class="button2">
    <a href="<?php echo esc_html($options['index_info_button_url2']); ?>"><?php echo esc_html($options['index_info_button_label2']); ?></a>
   </li>
   <?php }; ?>
  </ul>
  <?php }; ?>
 </div><!-- #index_info -->
 <?php }; ?>

<?php get_footer(); else: include('archive.php'); endif; }; ?>