<?php

// カテゴリー用入力欄を出力 -------------------------------------------------------
add_action ( 'edit_category_form_fields', 'extra_category_fields');
function extra_category_fields( $tag ) {
    $t_id = $tag->term_id;
    $cat_meta = get_option( "cat_$t_id");
?>
<tr class="form-field">
 <th><label for="category_image"><?php _e("Main image","tcd-w"); ?></label></th>
 <td>
  <p><?php _e('Recommend image size. Width:1160px, Height:300px', 'tcd-w'); ?></p>
  <div class="image_box cf">
   <div class="cf cf_media_field hide-if-no-js category_image">
    <input type="hidden" value="<?php if(isset ( $cat_meta['category_image'])) echo esc_html($cat_meta['category_image']) ?>" id="category_image" name="Cat_meta[category_image]" class="cf_media_id">
    <div class="preview_field"><?php if(isset ( $cat_meta['category_image'])) { echo wp_get_attachment_image($cat_meta['category_image'], 'medium'); }; ?></div>
    <div class="buttton_area">
     <input type="button" value="<?php _e('Select Image', 'tcd-w'); ?>" class="cfmf-select-img button">
     <input type="button" value="<?php _e('Remove Image', 'tcd-w'); ?>" class="cfmf-delete-img button <?php if(empty ( $cat_meta['category_image'])){ echo 'hidden'; }; ?>">
    </div>
   </div>
  </div>
 </td>
</tr>
<tr class="form-field">
 <th><label for="category_image"><?php _e("Main image for mobile device","tcd-w"); ?></label></th>
 <td>
  <p><?php _e("If this image is not registered, images that were previously registered will be displayed.<br />Recommend image size. Width:800px Height:Free size","tcd-w"); ?></p>
  <div class="image_box cf">
   <div class="cf cf_media_field hide-if-no-js category_image_mobile">
    <input type="hidden" value="<?php if(isset ( $cat_meta['category_image_mobile'])) echo esc_html($cat_meta['category_image_mobile']) ?>" id="category_image_mobile" name="Cat_meta[category_image_mobile]" class="cf_media_id">
    <div class="preview_field"><?php if(isset ( $cat_meta['category_image_mobile'])) { echo wp_get_attachment_image($cat_meta['category_image_mobile'], 'medium'); }; ?></div>
    <div class="buttton_area">
     <input type="button" value="<?php _e('Select Image', 'tcd-w'); ?>" class="cfmf-select-img button">
     <input type="button" value="<?php _e('Remove Image', 'tcd-w'); ?>" class="cfmf-delete-img button <?php if(empty ( $cat_meta['category_image_mobile'])){ echo 'hidden'; }; ?>">
    </div>
   </div>
  </div>
 </td>
</tr>
<?php
}


// データを保存 -------------------------------------------------------
add_action ( 'edited_term', 'save_extra_category_fileds');
function save_extra_category_fileds( $term_id ) {
    if ( isset( $_POST['Cat_meta'] ) ) {
	   $t_id = $term_id;
	   $cat_meta = get_option( "cat_$t_id");
	   $cat_keys = array_keys($_POST['Cat_meta']);
		  foreach ($cat_keys as $key){
		  if (isset($_POST['Cat_meta'][$key])){
			 $cat_meta[$key] = $_POST['Cat_meta'][$key];
		  }
	   }
	   update_option( "cat_$t_id", $cat_meta );
    }
}


?>