<?php if (is_mobile()) { get_template_part('mobile/single'); } else { get_header(); ?>
<?php get_header(); $options = get_desing_plus_option(); ?>

<div id="main_contents" class="clearfix">
 <?php get_template_part('breadcrumb'); ?>
 <div id="main_col">

 <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

 <div id="single_post">

  <h2 id="post_title"><?php the_title(); ?></h2>

  <ul class="post_meta clearfix">
   <?php if ($options['show_date']){ ?><li class="post_date"><time class="entry-date updated" datetime="<?php the_modified_time('c'); ?>"><?php the_time('Y.n.j'); ?></time></li><?php }; ?>
   <?php if ($options['show_category']){ ?><li class="post_category"><?php the_category(', '); ?></li><?php }; ?>
   <?php if ($options['show_tag']): ?><?php the_tags('<li class="post_tag">',', ','</li>'); ?><?php endif; ?>
   <?php if ($options['show_comment']) : if (comments_open()){ ?><li class="post_comment"><?php _e("Comment","tcd-w"); ?>: <a href="#comment_headline"><?php comments_number( '0','1','%' ); ?></a></li><?php }; endif; ?>
   <?php if ($options['show_author']) : ?><li class="post_author"><?php _e("Author","tcd-w"); ?>: <?php if (function_exists('coauthors_posts_links')) { coauthors_posts_links(', ',', ','','',true); } else { the_author_posts_link(); }; ?></li><?php endif; ?>
  </ul>

		<!-- sns button top -->
		<?php if ($options['show_sns_top']) { ?>
                <div class="post_content clearfix">
		<?php get_template_part('sns_btn_top'); ?>
                </div>
		<?php }; ?>
		<!-- /sns button top -->

<?php if ( has_post_thumbnail() and $page=='1') { if ($options['show_thumbnail']) : ?><div class="post_image"><?php the_post_thumbnail('size3'); ?></div><?php endif; }; ?>





  <div class="post_content clearfix">
   <?php the_content(__('Read more', 'tcd-w')); ?>

   <?php custom_wp_link_pages(); ?>

		<!-- sns button bottom -->
		<?php if ($options['show_sns_btm']) { ?>
                <div style="margin-top:30px;">
		<?php get_template_part('sns_btn_btm'); ?>
                </div>
		<?php }; ?>
		<!-- /sns button bottom -->

  </div>

 </div><!-- END #single_post -->

 <?php if ($options['show_next_post']) : ?>
 <div id="previous_next_post" class="clearfix">
  <p id="previous_post"><?php previous_post_link('%link', __('Previous post', 'tcd-w'), true) ?></p>
  <p id="next_post"><?php next_post_link('%link', __('Next post', 'tcd-w'), true) ?></p>
 </div>
 <?php endif; ?>

 <?php
      // banner *******************************************************************************
      if($options['blog_ad_code1']||$options['blog_ad_image1']||$options['blog_ad_code2']||$options['blog_ad_image2']) {
 ?>
 <div id="banner_area" class="clearfix">
  <?php if ($options['blog_ad_code1']) { ?>
  <div class="banner1">
   <?php echo $options['blog_ad_code1']; ?>
  </div>
  <?php
        } else {
          $banner_image = wp_get_attachment_image_src( $options['blog_ad_image1'], 'full' );
  ?>
  <div class="banner1">
   <a href="<?php esc_attr_e( $options['blog_ad_url1'] ); ?>" target="_blank"><img src="<?php echo $banner_image[0]; ?>" alt="" title="" /></a>
  </div>
  <?php }; ?>
  <?php if ($options['blog_ad_code2']) { ?>
  <div class="banner2">
   <?php echo $options['blog_ad_code2']; ?>
  </div>
  <?php
        } else {
          $banner_image2 = wp_get_attachment_image_src( $options['blog_ad_image2'], 'full' );
  ?>
  <div class="banner2">
   <a href="<?php esc_attr_e( $options['blog_ad_url2'] ); ?>" target="_blank"><img src="<?php echo $banner_image2[0]; ?>" alt="" title="" /></a>
  </div>
  <?php }; ?>
 </div>
 <?php }; ?>

 <?php endwhile; endif; ?>

 <?php
      // related post *******************************************************************************
      if ($options['show_related_post']) :
       $categories = get_the_category($post->ID);
       if ($categories) {
       $category_ids = array();
        foreach($categories as $individual_category) $category_ids[] = $individual_category->term_id;
         $args=array(
                     'category__in' => $category_ids,
                     'post__not_in' => array($post->ID),
                     'showposts'=>8,
                     'orderby' => 'rand'
                   );
        $my_query = new wp_query($args);
        if($my_query->have_posts()) {
 ?>
 <div id="related_post">
  <h3 class="headline"><?php _e("Related post","tcd-w"); ?></h3>
  <ol class="clearfix">
   <?php while ($my_query->have_posts()) { $my_query->the_post(); ?>
   <li class="clearfix">
    <a class="image" href="<?php the_permalink() ?>"><?php if ( has_post_thumbnail()) { the_post_thumbnail('size1'); } else { echo '<img src="'; bloginfo('template_url'); echo '/img/common/no_image1.gif" alt="" title="" />'; }; ?></a>
    <?php if ($options['show_date']){ ?><p class="post_date"><time class="entry-date updated" datetime="<?php the_modified_time('c'); ?>"><?php the_time('Y.n.j'); ?></time></p><?php }; ?>
    <a class="title" href="<?php the_permalink() ?>"><?php trim_title(32); ?></a>
   </li>
   <?php }; ?>
  </ol>
 </div>
 <?php }; }; wp_reset_postdata(); ?>
 <?php endif; ?>

 <?php if ($options['show_comment']) : if (function_exists('wp_list_comments')) { comments_template('', true); } else { comments_template(); }; endif; ?>

 </div><!-- END #main_col -->

 <?php get_template_part('sidebar'); ?>

</div>

<?php get_footer(); }; ?>
