<div id="main_contents3" class="clearfix">
 <?php get_template_part('breadcrumb'); ?>

 <div id="page_template4">

  <?php
       if ( have_posts() ) : while ( have_posts() ) : the_post();

       $type4_row1_headline = get_post_meta($post->ID,'type4_row1_headline',true);

       $value1 = get_post_meta($post->ID, 'type4_row2_image', true);
       if(!empty($value1)) { $image1 = wp_get_attachment_image_src($value1, 'full'); };
       $type4_row2_headline = get_post_meta($post->ID,'type4_row2_headline',true);
       $type4_row2_desc = get_post_meta($post->ID,'type4_row2_desc',true);

       $value2 = get_post_meta($post->ID, 'type4_row3_image', true);
       if(!empty($value2)) { $image2 = wp_get_attachment_image_src($value2, 'full'); };

       $value3 = get_post_meta($post->ID, 'type4_row4_image', true);
       if(!empty($value3)) { $image3 = wp_get_attachment_image_src($value3, 'full'); };
       $type4_row4_headline = get_post_meta($post->ID,'type4_row4_headline',true);
       $type4_row4_desc = get_post_meta($post->ID,'type4_row4_desc',true);

       $type4_google_map = get_post_meta($post->ID,'type4_google_map',true);

  ?>

  <?php if($type4_row1_headline) { ?>
  <div class="pt_layout6">
   <h3 class="headline"><?php echo $type4_row1_headline; ?></h3>
  </div>
  <?php }; ?>

  <?php if($type4_row2_headline || $type4_row2_desc || $value1) { ?>
  <div class="pt_layout5 left clearfix">
   <?php if(!empty($value1)) { ?>
   <img class="image" src="<?php echo $image1[0]; ?>" alt="" title="" />
   <?php }; ?>
   <div class="desc_area">
    <?php if($type4_row2_headline) { ?>
    <h3 class="headline"><?php echo $type4_row2_headline; ?></h3>
    <?php }; ?>
    <?php if(!empty($type4_row2_desc)) { ?>
    <div class="post_content clearfix">
     <?php echo wpautop($type4_row2_desc); ?>
    </div>
    <?php }; ?>
   </div>
  </div>
  <?php }; ?>

  <?php if($value2) { ?>
  <div class="pt_layout4 clearfix">
   <img class="image" src="<?php echo $image2[0]; ?>" alt="" title="" />
  </div>
  <?php }; ?>

  <?php if($type4_row4_headline || $type4_row4_desc || $value3) { ?>
  <div class="pt_layout5 right clearfix">
   <?php if(!empty($value3)) { ?>
   <img class="image" src="<?php echo $image3[0]; ?>" alt="" title="" />
   <?php }; ?>
   <div class="desc_area">
    <?php if($type4_row4_headline) { ?>
    <h3 class="headline"><?php echo $type4_row4_headline; ?></h3>
    <?php }; ?>
    <?php if(!empty($type4_row4_desc)) { ?>
    <div class="post_content clearfix">
     <?php echo wpautop($type4_row4_desc); ?>
    </div>
    <?php }; ?>
   </div>
  </div>
  <?php }; ?>

  <?php if($type4_google_map) { ?>
  <div class="pt_google_map">
   <div id="map-canvas" style="width:100%; height:400px"></div>
  </div>
  <script type="text/javascript">
    google.maps.event.addDomListener(window, 'load', function(){
    var geocoder = new google.maps.Geocoder();

    geocoder.geocode({'address':<?php if($type4_google_map) { echo "'" . $type4_google_map . "'"; } else { echo "'大阪'"; } ?>}, function(results, status) {
      if (status == google.maps.GeocoderStatus.OK){
        var mapOptions = {
          center: results[0].geometry.location,
          zoom: 18,
          mapTypeId: google.maps.MapTypeId.ROADMAP,
          scrollwheel: false,
        }

        var map = new google.maps.Map(document.getElementById('map-canvas'), mapOptions)
        var marker = new google.maps.Marker({
            map: map,
            position: results[0].geometry.location
        })
      }

    })
  });
  </script>
  <?php }; ?>

  <?php endwhile; endif; ?>

 </div>

</div><!-- END #main_contents -->
