<?php if (is_mobile()) { get_template_part('mobile/single-staff'); } else { get_header(); ?>
<?php get_header(); $options = get_desing_plus_option(); ?>

<div id="main_contents" class="clearfix">
 <?php get_template_part('breadcrumb'); ?>

 <?php
      if ( have_posts() ) : while ( have_posts() ) : the_post();
        $staff_data1 = esc_html(get_post_meta($post->ID, 'staff_data1', true));
        $staff_data2 = esc_html(get_post_meta($post->ID, 'staff_data2', true));
 ?>

 <div id="staff_single" class="clearfix">

  <div id="staff_image"><?php the_post_thumbnail('full'); ?></div>

  <div id="staff_info">
   <h2 id="staff_name"><?php the_title(); ?><?php if(!empty($staff_data1)) { ?><span><?php echo $staff_data1; ?></span><?php }; ?></h2>
   <div class="post_content clearfix">
    <?php the_content(__('Read more', 'tcd-w')); ?>
   </div>
  </div>

 </div><!-- END #staff_single -->

 <?php endwhile; endif; ?>

 <?php if(!empty($options['staff_single_headline'])) { ?>
 <h3 id="staff_headline"><span><?php echo $options['staff_single_headline']; ?></span></h3>
 <?php }; ?>

 <div id="staff_archive">

  <?php
       //カテゴリーに属する記事を取得
       $args = array( 'post_type' => 'staff', 'posts_per_page'=>-1 , 'orderby' => 'date', 'order' => 'DESC');
       $staff_list = get_posts($args);
       if ($staff_list) {
  ?>
  <ol id="archive_staff_list" class="clearfix">
   <?php
        foreach ($staff_list as $post) : setup_postdata ($post);
          $staff_data = esc_html(get_post_meta($post->ID, 'staff_data2', true));
   ?>
   <li>
    <a class="link" href="<?php the_permalink() ?>">
     <div class="image"><?php the_post_thumbnail('size1'); ?></div>
     <div class="title"><?php the_title(); ?></div>
     <div class="desc"><?php echo wpautop($staff_data); ?></div>
    </a>
   </li>
   <?php endforeach; wp_reset_query(); ?>
  </ol>
  <?php }; ?>

 </div><!-- END #staff_archive -->

</div>

<?php get_footer(); }; ?>
